# Something's not quite right with libtool....
%define __libtoolize :
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
%define _unpackaged_files_terminate_build 1

%define glib2_base_version 2.55.0
%define glib2_version %{glib2_base_version}

Summary: Interfaces for accessibility support.
Summary(ja): アクセシビリティサポートのためのインタフェース
Name: atk
Version: 2.27.1
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/atk/2.27/atk-%{version}.tar.xz
URL: http://developer.gnome.org/projects/gap/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gobject-introspection-devel >= 0.6.7

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

%package -n compat32-%{name}
Summary: Interfaces for accessibility support.
Summary(ja): アクセシビリティサポートのためのインタフェース
Group: System Environment/Libraries
Requires: atk = %{version}

%description -n compat32-%{name}
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

%package devel
Summary: Accessability Toolkit development files
Summary(ja): アクセシビリティツールキットの開発用ファイル
Group: Development/Libraries
Requires: atk = %{version}
Requires: glib2-devel >= %{glib2_version}

%description devel
The atk-devel package includes the static libraries, header files, and
developer docs for the atk package.

Install atk-devel if you want to develop programs which will use ATK.

%package -n compat32-%{name}-devel
Summary: Accessability Toolkit development files
Summary(ja): アクセシビリティツールキットの開発用ファイル
Group: Development/Libraries
Requires: %{name}-devel    = %{version}
Requires: compat32-%{name} = %{version}

%description -n compat32-%{name}-devel
The atk-devel package includes the static libraries, header files, and
developer docs for the atk package.

Install atk-devel if you want to develop programs which will use ATK.

%prep
%setup -q -n atk-%{version}

%build
%configure --disable-gtk-doc --enable-introspection=yes
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang atk10

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig


%files -f atk10.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING NEWS
%{_libdir}/libatk*.so.*
%{_libdir}/girepository-1.0

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libatk*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/*
%{_datadir}/gir-1.0

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_libdir}/libatk*.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/libatk*.so
%endif

%changelog
* Sat Jan 06 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.27.1-1
- new upstream release.

* Thu Jul 14 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.20.0-1
- new upstream release

* Thu Mar 31 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.20.0-1
- new upstream release

* Thu Oct 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.0-1
- new upstream release

* Sat Mar 28 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.16.0-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.14.0-1
- new upstream release

* Fri Mar 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.12.0-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.0-1
- new upstream release

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.0-1
- new upstream release

* Wed Sep 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.6.0-1
- new upstream release

* Sat Mar 31 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4.0-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.92-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.5-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.0-1
- new upstream release

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.30.2-1
- add BuildRequires: gobject-introspection-devel
- add configure option (--enable-introspection=yes)

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 1.30.0-2
- build with rpm-4.8.1-1 for pkg-config file

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.30.0-1
- new upstream release

* Fri Sep 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.28.0-1
- new upstream release

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.26.0-1
- new upstream release

* Mon Sep 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.24.0-1
- new upstream release
- spec in UTF-8

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.22.0-1vl5
- used %%{?_dist_release}

* Tue Mar 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.22.0-0vl1
- new upstream release

* Sun Nov 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.20.0-0vl1
- new upstream release

* Wed Apr 25 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.18.0-0vl1
- new upstream release

* Mon Dec 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.12.4-0vl1
- new upstream release

* Sat Jul 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.12.1-0vl1
- new upstream release

* Fri Mar 17 2006 NAKAMURA Kenta <kenta@c.csce.kyushu-u.ac.jp> 1.11.3-0vl2
- added compat32-* packages for x86_64 architecture support

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.11.3-0vl1
- new upstream release

* Sun Mar 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.11.2-0vl1
- new upstream release

* Wed Nov 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10.3-0vl1
- new upstream release

* Fri May 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10.1-0vl1
- new upstream release

* Mon Jan 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.0-0vl1
- new upstream release

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.0-0vl1
- new upstream release

* Sat May  1 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.1-0vl1
- new upstream release

* Thu Mar 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.0-0vl1
- new upstream release

* Sun Feb 01 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.1-0vl1
- new upstream release
- fix kanji code of spec file.

* Thu Sep 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-0vl1
- new upstream release

* Mon Sep 01 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.6-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.3-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-0vl1
- new upstream release

* Sat Jan  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-0vl1
- new upstream release

* Wed Dec 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-0vl1
- new upstream release

* Fri Dec 13 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.4-0vl1
- new upstream release
- build for Vine Linux

* Wed Jul 31 2002 Owen Taylor <otaylor@redhat.com>
- Remove fixed-ltmain.sh
- Version 1.0.3

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 04 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 24 2002 Havoc Pennington <hp@redhat.com>
 - rebuild in different environment

* Wed Apr  3 2002 Alex Larsson <alexl@redhat.com>
- Update to version 1.0.1

* Fri Mar  8 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.0.0

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 0.13

* Thu Feb 21 2002 Alex Larsson <alexl@redhat.com>
- Bump for rebuild

* Mon Feb 18 2002 Havoc Pennington <hp@redhat.com>
- rebuild for glib 1.3.14

* Fri Feb 15 2002 Havoc Pennington <hp@redhat.com>
- add horrible buildrequires hack

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.12.90 cvs snap

* Tue Jan 29 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.10

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- new snap 0.8.90

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- rebuild with glib hacked to work on 64-bit

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- Version 0.7
- add explicit check for required glib2 version before we do the build,
  so we don't end up with bad RPMs on --nodeps builds

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- rebuild due to hosage on ia64 build system causing link to old glib

* Thu Oct 25 2001 Owen Taylor <otaylor@redhat.com>
- Version 0.6

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- 0.5
- sync with Owen's version

* Wed Sep 19 2001 Havoc Pennington <hp@redhat.com>
- 0.4
- fix requires
- --enable-static
- put static libs back in file list

* Mon Sep 10 2001 Havoc Pennington <hp@redhat.com>
- update to CVS snapshot

* Wed Sep 05 2001 Havoc Pennington <hp@redhat.com>
- require specific pango version
- fix ltmain.sh to destroy all relinking BS

* Tue Sep  4 2001 root <root@dhcpd37.meridian.redhat.com>
- Version 0.2

* Sat Jul 21 2001 Owen Taylor <otaylor@redhat.com>
- Configure with --disable-gtk-doc

* Tue Jul 10 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Add post- and postun-sections running ldconfig

* Wed Jun 13 2001 Havoc Pennington <hp@redhat.com>
- 0.2

* Fri May  4 2001 Owen Taylor <otaylor@redhat.com>
- Initial version
