# koffice version to Obsolete
%define koffice_ver 1:2.3.4

%define postgresql 1
%define libkdcraw 1
%define marble 1
%define okular 1
%define pstoedit 0
%define visio 1
%define wpd 1
%define gmic 1

%define revenge 1
%define external_lilypond_fonts 0

# trim changelog included in binary rpms
%global _changelog_trimtime %(date +%s -d "1 year ago")

Name:    calligra
Version: 2.9.11
Release: 3%{?_dist_release}
Summary: An integrated office suite
Summary(ja): 統合オフィススイート

License: GPLv2+ and LGPLv2+
Group:   Applications/Productivity
URL:     http://www.calligra-suite.org/

Vendor:  Project Vine
Distribution: Vine Linux

Source0: http://download.kde.org/stable/calligra-%{version}/calligra-%{version}.tar.xz

# support disabling products we don't package yet
# fedora lacks mpxj runtime dep for plan import filter, omit until available
Patch2: calligra-2.9.0-disable_products.patch
Patch3: 0001-adapt-to-libwps-0.4.patch
%global libwps libwps-0.4

## upstream patches

## upstreamable patches

## Vine patches
Patch700: calligra-2.8.7-openjpeg.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libboost-devel
BuildRequires: libboost-system
BuildRequires: bzip2-devel bzip2
BuildRequires: desktop-file-utils
BuildRequires: doxygen
BuildRequires: eigen3-devel
BuildRequires: exiv2-devel >= 0.16
BuildRequires: fftw3-devel >= 3.2
BuildRequires: fontconfig-devel
BuildRequires: freeglut-devel
BuildRequires: gettext-devel
BuildRequires: giflib-devel
BuildRequires: glew-devel
#BuildRequires: pkgconfig(GraphicsMagick)
BuildRequires: ImageMagick-devel
BuildRequires: gsl-devel
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs-devel
#BuildRequires: pkgconfig(QtGui) 
#BuildRequires: pkgconfig(QtWebKit)
BuildRequires: qt4-devel
BuildRequires: lcms2-devel
BuildRequires: mesa-libGL-devel mesa-libGLU-devel
# kactivities-6.1+, part of kde-4.10+
#BuildRequires: pkgconfig(libkactivities)
BuildRequires: libjpeg-devel
%if 0%{?marble}
BuildRequires: marble-devel
%endif
%if 0%{?wpd}
%if 0%{?visio}
BuildRequires: libvisio-devel
%endif
BuildRequires: libodfgen-devel
BuildRequires: librevenge-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libwps-devel
%endif
BuildRequires: OpenColorIO-devel
BuildRequires: poppler-qt4-devel
BuildRequires: libpng-devel
BuildRequires: libicu-devel
BuildRequires: libspnav-devel
BuildRequires: libtiff-devel
BuildRequires: libxslt-devel
# kexi
BuildRequires: freetds-devel
%if 0%{?postgresql}
BuildRequires: libpqxx-devel >= 3.0
%endif
BuildRequires: mysql-devel
BuildRequires: glib2-devel
BuildRequires: OpenEXR-devel
BuildRequires: openjpeg-devel
BuildRequires: perl
BuildRequires: poppler-qt4-devel
BuildRequires: qca2-devel
BuildRequires: readline-devel
BuildRequires: sqlite3-devel
# not detected, doesn't work, some xbase vs xbase64 differences ? -- rex
#BuildRequires: xbase-devel

#-- The following OPTIONAL packages could NOT be located on your system.
#-- Consider installing them to enable more features from this software.
#   * Vc  <http://code.compeng.uni-frankfurt.de/projects/vc>
#     Portable, zero-overhead SIMD library for C++
#     Required by the Krita for vectorization
#   * XBase  <http://linux.techass.com/projects/xdb>
#     XBase compatible C++ class library
#     Required by Kexi XBase driver
#   * Cauchy's M2MML  <https://bitbucket.org/cyrille/cauchy>
#     Matlab/Octave to MathML compiler
#     Required for the matlab/octave formula tool

Obsoletes: koffice < %{koffice_ver} 
Obsoletes: koffice-suite < %{koffice_ver}

Requires:  %{name}-author = %{version}-%{release}
Requires:  %{name}-braindump = %{version}-%{release}
Requires:  %{name}-words = %{version}-%{release} 
Requires:  %{name}-sheets = %{version}-%{release} 
Requires:  %{name}-stage = %{version}-%{release}
Requires:  %{name}-flow = %{version}-%{release}
Requires:  %{name}-karbon = %{version}-%{release}
Requires:  %{name}-krita = %{version}-%{release}
Requires:  %{name}-kexi = %{version}-%{release}
Requires:  %{name}-kexi-driver-mysql = %{version}-%{release}
%if 0%{?postgresql}
Requires:  %{name}-kexi-driver-postgresql = %{version}-%{release}
%endif
Requires:  %{name}-kexi-driver-sybase = %{version}-%{release}
Requires:  %{name}-plan = %{version}-%{release}
%if 0%{?okular}
Requires:  %{name}-okular-odpgenerator = %{version}-%{release}
Requires:  %{name}-okular-odtgenerator = %{version}-%{release}
%endif
%if 0%{?marble}
Requires:  %{name}-reports-map-element = %{version}-%{release}
Requires:  %{name}-kexi-map-form-widget = %{version}-%{release}
%endif
Requires:  %{name}-qtquick = %{version}-%{release}

%description
%{summary}.

%package core
Summary: Core support files for %{name} 
Summary(ja): %{name} の中心を支えるファイル群
Group: System Environment/Libraries
Obsoletes: koffice-core < %{koffice_ver}
Obsoletes: koffice-filters < %{koffice_ver}
Obsoletes: calligra-filters < 2.3.86-3
Provides:  calligra-filters = %{version}-%{release} 
Obsoletes: %{name}-kformula < 2.4.0
Obsoletes: %{name}-kformula-libs < 2.4.0
Obsoletes: %{name}-map-shape < %{version}-%{release}
%if ! 0%{?marble}
Obsoletes: %{name}-reports-map-element < %{version}-%{release}
Obsoletes: %{name}-kexi-map-form-widget < %{version}-%{release}
%endif
# required to help yum-langpacks work
# make this versioned?  -- rex
Requires:  calligra-l10n-ja
%if 0%{?external_lilypond_fonts}
Requires:  lilypond-emmentaler-fonts
%endif
# formulashape fonts
Requires:  lyx-fonts
Requires:  %{name}-libs = %{version}-%{release}
Requires:  kde-runtime%{?_kde4_version: >= %{_kde4_version}}

%description core
%{summary}.

%package libs
Summary: Runtime libraries for %{name} 
Summary(ja): %{name} のランタイムライブラリ 
Group: System Environment/Libraries
Obsoletes: koffice-libs < %{koffice_ver}
Requires:  %{name}-kdchart = %{version}-%{release}
%{?_qt4_version:Requires: qt4 >= %{_qt4_version}}

%description libs
%{summary}.

%package devel
Summary: Libraries needed for %{name} development
Summary(ja): %{name} の開発に必要なライブラリ
Group: Development/Libraries
Obsoletes: koffice-devel < %{koffice_ver}
Requires:  %{name}-libs = %{version}-%{release}
Requires:  kdelibs4-devel

%description devel
%{summary}.

%package kdchart
Summary: Runtime libraries for kdchart
Summary(ja): kdchart のランタイムライブラリ
Group: System Environment/Libraries
License: GPLv2 or GPLv3
Obsoletes: koffice-kdchart < %{koffice_ver}

%description kdchart
%{summary}.

%package kdchart-devel
Summary: Libraries needed for kdchart development
Summary(ja): kdchart の開発に必要なライブラリ
Group: Development/Libraries
License: GPLv2 or GPLv3
Obsoletes: koffice-kdchart-devel < %{koffice_ver}
Provides:  kdchart-devel = 0.0
Requires:  %{name}-kdchart = %{version}-%{release}
Requires:  qt4-devel

%description kdchart-devel
%{summary}.

%package author
Summary: A specialized tool for serious authors
Summary(ja): 本格的な著作物に特化したツール
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-words

%description author
Calligra Author is a specialized tool for serious writers aiming to become
what Krita is for painters. The application will support a writer in the
process of creating an eBook from concept to publication. We have two user
categories in particular in mind:
* Novelists who produce long texts with complicated plots involving many
  characters and scenes but with limited formatting.
* Textbook authors who want to take advantage of the added possibilities
  in eBooks compared to paper-based textbooks.

%package braindump
Summary: Notes and idea gathering
Summary(ja): ノートやアイディアを集約するツール
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-braindump-libs = %{version}-%{release}

%description braindump
%{summary}.

%package braindump-libs
Summary: Runtime libraries for %{name}-braindump
Summary(ja): %{name}-braindump のラインタイムライブラリ
Group: System Environment/Libraries
Requires: %{name}-braindump = %{version}-%{release}

%description braindump-libs
%{summary}.

%package reports-map-element
Summary: Map element for Calligra Reports
Summary(ja): Calligra Reports 用の地図エレメント
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
#Requires: marble-part%{?_kde4_version: >= %{_kde4_version}}
Requires: marble%{?_kde4_version: >= %{_kde4_version}}

%description reports-map-element
%{summary}.

%package  words
Summary: An intuitive word processor application with desktop publishing features
Summary(ja): DTP 機能を備えた直感的なワードプロセッサアプリケーション
Group: Applications/Productivity
Obsoletes: koffice-kword < %{koffice_ver}
Obsoletes: koffice-kword-libs < %{koffice_ver}
Requires:  %{name}-core = %{version}-%{release}
Requires:  %{name}-words-libs = %{version}-%{release}

%description words
Calligra Words is an intuitive word processor and desktop publisher
application. With it, you can create informative and attractive documents
with pleasure and ease.

%package  words-libs
Summary: Runtime libraries for %{name}-words
Summary(ja): %{name}-words のランタイムライブラリ
Group: System Environment/Libraries
Requires: %{name}-words = %{version}-%{release}

%description words-libs
%{summary}.

%package sheets 
Summary: A fully-featured spreadsheet application
Summary(ja): すべての機能を備えた表計算アプリケーション
Group: Applications/Productivity
Obsoletes: koffice-kspread < %{koffice_ver}
Obsoletes: koffice-kspread-libs < %{koffice_ver}
Obsoletes: calligra-tables < 2.3.92
Provides:  calligra-tables = %{version}-%{release}
Requires: %{name}-core = %{version}-%{release}

%description sheets
Calligra Sheets is a fully-featured calculation and spreadsheet tool.
Use it to quickly create and calculate various business-related
spreadsheets, such as income and expenditure, employee working hours…

%package sheets-libs
Summary: Runtime libraries for %{name}-sheets
Summary(ja): %{name}-sheets のランタイムライブラリ
Group: System Environment/Libraries
Obsoletes: calligra-tables-libs < 2.3.92
Requires: %{name}-sheets = %{version}-%{release}

%description sheets-libs
%{summary}.

%package stage 
Summary: A full-featured presentation program
Summary(ja): すべての機能を備えたプレゼンテーションアプリケーション
Group: Applications/Productivity
Obsoletes: koffice-kpresenter < %{koffice_ver}
Obsoletes: koffice-kpresenter-libs < %{koffice_ver}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-stage-libs = %{version}-%{release}
# when -libs was introduced

%description stage 
Calligra Stage is a powerful and easy to use presentation application.
You can dazzle your audience with stunning slides containing images,
videos, animation and more.

%package stage-libs
Summary: Runtime libraries for %{name}-stage
Summary(ja): %{name}-stage のランタイムライブラリ
Group: System Environment/Libraries
Requires: %{name}-stage = %{version}-%{release}

%description stage-libs
%{summary}.

%package flow 
Summary: A diagramming and flowcharting application
Summary(ja): ダイアグラム・フローチャート作成アプリケーション
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-flow-libs = %{version}-%{release}

%description flow 
Calligra Flow is an easy to use diagramming and flowcharting application
with tight integration to the other KOffice applications. It enables you
to create network diagrams, organisation charts, flowcharts and more.

%package flow-libs
Summary: Runtime libraries for %{name}-flow
Summary(ja): %{name}-flow のランタイムライブラリ
Group: System Environment/Libraries
Requires: %{name}-flow = %{version}-%{release}

%description flow-libs
%{summary}.

%package karbon
Summary: A vector drawing application
Summary(ja): ベクター描画アプリケーション
Group: Applications/Productivity
Obsoletes: koffice-karbon < %{koffice_ver}
Obsoletes: koffice-karbon-libs < %{koffice_ver}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-karbon-libs = %{version}-%{release}
%if 0%{?pstoedit}
# for karbon eps import filter
# SVG plugins are required
BuildRequires: pstoedit-devel
Requires: pstoedit
%endif

%description karbon
Karbon is a vector drawing application with an user interface that is
easy to use, highly customizable and extensible. That makes Karbon a
great application for users starting to explore the world of vector
graphics as well as for artists wanting to create breathtaking vector
art.

Whether you want to create clipart, logos, illustrations or photorealistic
vector images – look no further, Karbon is the tool for you!

%package karbon-libs
Summary: Runtime libraries for %{name}-karbon
Summary(ja): %{name}-karbon のランタイムライブラリ
Group: System Environment/Libraries
Requires: %{name}-karbon = %{version}-%{release}

%description karbon-libs
%{summary}.

%package krita
Summary: A creative sketching and painting application 
Summary(ja): 創造的なスケッチ・絵描きアプリケーション
Group: Applications/Productivity
%if 0%{?libkdcraw}
# krita_raw_import filter
BuildRequires: libkdcraw-devel
%endif
Obsoletes: koffice-krita < %{koffice_ver}
Obsoletes: koffice-krita-libs < %{koffice_ver}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-krita-libs%{?_isa} = %{version}-%{release}
# fix old multilib mishaps
Obsoletes: koffice-krita < 3:2.3
# to make bundled scripts work
#Requires: kross(javascript) kross(python) kross(ruby)

%description krita
Krita is a creative sketching and painting application based on KOffice 
technology. Whether you want to create art paintings, cartoons, concept
art or textures, Krita supports most graphics tablets out of the box.
Krita’s vision statement is:
* Krita is a KDE program for sketching and painting, offering an end–to–end
  solution for creating digital painting files from scratch by masters.
* Fields of painting that Krita explicitly supports are concept art,
  creation of comics and textures for rendering.
* Modelled on existing real-world painting materials and workflows,
  Krita supports creative working by getting out of the way and with
  snappy response.

%package krita-libs
Summary: Runtime libraries for %{name}-krita
Summary(ja): %{name}-krita のランタイムライブラリ
Group: System Environment/Libraries
Requires: %{name}-krita = %{version}-%{release}

%description krita-libs
%{summary}.

%package kexi
Summary: A visual database applications creator
Summary(ja): ビジュアルなデータベースアプリケーション作成ツール
Group: Applications/Productivity
Obsoletes: koffice-kexi < %{koffice_ver}
Obsoletes: koffice-kexi-libs < %{koffice_ver}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-kexi-libs = %{version}-%{release}

%description kexi
Kexi is a visual database applications creator.  It can be used for
creating database schemas, inserting data, performing queries, and
processing data. Forms can be created to provide a custom interface to
your data. All database objects – tables, queries and forms – are
stored in the database, making it easy to share data and design.

For additional database drivers take a look at %{name}-kexi-driver-*

%package kexi-libs
Summary: Runtime libraries for %{name}-kexi
Summary(ja): %{name}-kexi のランタイムライブラリ
Group: System Environment/Libraries
Requires: %{name}-kexi = %{version}-%{release}

%description kexi-libs
%{summary}.

%package kexi-driver-mysql
Summary: Mysql driver for kexi
Summary(ja): Kexi 用 MySQL ドライバ
Group: Applications/Productivity
Obsoletes: koffice-kexi-driver-mysql < %{koffice_ver}
Requires:  %{name}-kexi = %{version}-%{release}

%description kexi-driver-mysql
%{summary}.

%package kexi-driver-postgresql
Summary: Postgresql driver for kexi
Summary(ja): Kexi 用 PostgreSQL ドライバ
Group: Applications/Productivity
Obsoletes: koffice-kexi-driver-pgsql < %{koffice_ver}
Obsoletes: calligra-kexi-driver-pgsql < 2.3.86-2 
Provides:  calligra-kexi-driver-pgsql = %{version}-%{release}
Requires:  %{name}-kexi = %{version}-%{release}
%description kexi-driver-postgresql
%{summary}.

%package kexi-driver-sybase
Summary: Sybase driver for kexi
Summary(ja): Kexi 用 Sybase ドライバ
Group: Applications/Productivity
Requires: %{name}-kexi = %{version}-%{release}

%description kexi-driver-sybase
%{summary}.

%package kexi-driver-xbase
Summary: XBase driver for kexi
Summary(ja): Kexi 用 XBase ドライバ
Group: Applications/Productivity
Requires: %{name}-kexi = %{version}-%{release}

%description kexi-driver-xbase
%{summary}.

%package kexi-map-form-widget
Summary: Kexi map form widget
Summary(ja): Kexi 地図フォームウィジェット
Group:   Applications/Productivity
Requires: %{name}-kexi = %{version}-%{release}
Requires: marble%{?_kde4_version: >= 1:%{_kde4_version}}

%description kexi-map-form-widget
%{summary}.

%package kexi-spreadsheet-import
Summary: Spreadsheet-to-Kexi-table import plugin
Summary(ja): スプレッドシートを Kexi テーブルにインポートするプラグイン
Group: Applications/Productivity
Requires: %{name}-sheets-libs = %{version}-%{release}

%description kexi-spreadsheet-import
%{summary}.

%package plan 
Summary: A project planner
Summary(ja): プロジェクト計画ツール
Group: Applications/Productivity
Obsoletes: koffice-kplato < %{koffice_ver}
Obsoletes: koffice-kplato-libs < %{koffice_ver}
Requires:  %{name}-core = %{version}-%{release}
Requires:  %{name}-plan-libs = %{version}-%{release}
%if 0%{?mpxj}
BuildRequires: java-devel
Requires: apache-poi
#Requires: apache-mpxj
%endif

%description plan 
Plan is a project management application. It is intended for managing
moderately large projects with multiple resources.

%package plan-libs
Summary: Runtime libraries for %{name}-plan
Summary(ja): %{name}-plan のランタイムライブラリ
Group: System Environment/Libraries
Requires: %{name}-plan = %{version}-%{release}

%description plan-libs
%{summary}.

%if 0%{?okular}
%package okular-odpgenerator
Summary: OpenDocument presenter support for okular
Summary(ja): Okular 用の OpenDocument プレゼンターのサポート
Group: Applications/Publishing
Obsoletes: koffice-okular-odpgenerator < %{koffice_ver}
BuildRequires: okular-devel
Requires: %{name}-stage = %{version}-%{release}
Requires: okular%{?_kde4_version: >= %{_kde4_version}}

%description okular-odpgenerator
%{summary}.

%package  okular-odtgenerator
Summary:  OpenDocument text support for okular
Summary(ja): Okular 用の OpenDocument テキストのサポート
BuildRequires: okular-devel
Requires: %{name}-words = %{version}-%{release}
Requires: okular%{?_kde4_version: >= %{_kde4_version}}
%description okular-odtgenerator
%{summary}.
%endif

%package  qtquick
Summary:  QtQuick Plugin that provides Calligra components
Requires: %{name}-stage-libs = %{version}-%{release}
Requires: %{name}-words-libs = %{version}-%{release}
%description qtquick
%{summary}.

%package semanticitems
Summary: RDF support
Summary(ja): RDF サポート
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description semanticitems
%{summary}.


%prep
%setup -q

%patch2 -p1 -b .disable_products
%if "%{?libwps}" == "libwps-0.4"
%patch3 -p1 -b .libwps-0.4
%endif

## kdchart munging begin
pushd 3rdparty/kdchart
mv src kdchart
sed -i.kdchart_fix -e 's|../src/||' kdchart/Ternary/KDChartTernaryAxis.cpp
sed -i.kdchart_fix -e 's|add_subdirectory(src)|add_subdirectory(kdchart)|' CMakeLists.txt
mv include include.kdchart_fix && cp -a include.kdchart_fix include/
sed -i -e 's|../src|../kdchart|' include/*
popd
## kdchart munging end

## disable krita gemini/sketch too, not ready
sed -i \
  -e 's|add_subdirectory(sketch)|#add_subdirectory(sketch)|g' \
  -e 's|add_subdirectory(gemini)|#add_subdirectory(gemini)|g' \
  krita/CMakeLists.txt


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DCMAKE_CXX_FLAGS="-std=c++11" \
    %{!?gmic:-DWITH_GMIC:BOOL=OFF} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## kdchart munging begin
pushd 3rdparty/kdchart
mkdir -p %{buildroot}%{_includedir}/KDChart
install -m644 -p include/* %{buildroot}%{_includedir}/KDChart/
for inc_dir in kdchart kdchart/LeveyJennings kdchart/PrerenderedElements kdchart/Scenery kdchart/Ternary ; do
mkdir -p %{buildroot}%{_includedir}/${inc_dir}
install -m644 -p ${inc_dir}/*.h %{buildroot}%{_includedir}/${inc_dir}/
rm -f %{buildroot}%{_includedir}/${inc_dir}/*_p.h
done
popd
ln -s libcalligrakdchart.so %{buildroot}%{_libdir}/libkdchart.so
## kdchart munging end

## unpackaged files
# fonts
%if 0%{?external_lilypond_fonts}
rm -fv %{buildroot}%{_datadir}/kde4/apps/musicshape/fonts/Emmentaler-14.ttf
%endif
rm -fv %{buildroot}%{_datadir}/kde4/apps/formulashape/fonts/Arev*.ttf
rm -fv %{buildroot}%{_datadir}/kde4/apps/formulashape/fonts/cmex10.ttf
# extraneous stuff we don't want in -devel
rm -fv %{buildroot}%{_libdir}/lib*common.so
rm -fv %{buildroot}%{_libdir}/libcalligrakdgantt.so
rm -fv %{buildroot}%{_libdir}/lib*filters.so
rm -fv %{buildroot}%{_libdir}/lib*private.so
rm -fv %{buildroot}%{_libdir}/libcalligradb.so
rm -fv %{buildroot}%{_libdir}/libchartshapelib.so
rm -fv %{buildroot}%{_libdir}/libkarbon*.so
rm -fv %{buildroot}%{_libdir}/libkexi*.so
rm -fv %{buildroot}%{_libdir}/libkisexiv2.so
rm -fv %{buildroot}%{_libdir}/libkformula.so
rm -fv %{buildroot}%{_libdir}/libko{chart,kross,msooxml,plugin,property,report,textlayout,vectorimage,version,wmf,wv2}.so
rm -fv %{buildroot}%{_libdir}/libkrita{color,image,libbrush,libpaintop,ui}.so
rm -fv %{buildroot}%{_libdir}/libkross*.so
rm -fv %{buildroot}%{_libdir}/libkplato*.so
rm -fv %{buildroot}%{_libdir}/libtablesodf.so
rm -fv %{buildroot}%{_libdir}/libkwmf.so
rm -fv %{buildroot}%{_libdir}/libkrita{global,psd}.so
rm -fv %{buildroot}%{_libdir}/libplanwork{app,factory}.so
rm -fv %{buildroot}%{_libdir}/librcps_plan.so
rm -fv %{buildroot}%{_libdir}/libRtfReader.so
%if ! 0%{?kchart}
rm -fv %{buildroot}%{_libdir}/libkchartcommon.so.*
rm -fv %{buildroot}%{_libdir}/kde4/*kchart*.*
rm -rfv %{buildroot}%{_datadir}/kde4/apps/kchart/
rm -rfv %{buildroot}%{_docdir}/HTML/en/kchart/
rm -fv %{buildroot}%{_datadir}/kde4/services/kchart*.desktop
%endif
# fedora already has shared-mime-info >= 0.6 that includes image/openraster
rm -fv %{buildroot}%{_datadir}/mime/packages/krita_ora.xml



%check
for desktop_file in %{buildroot}%{_datadir}/applications/kde4/*.desktop ; do
desktop-file-validate ${desktop_file} 
done

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
# virtual

%post core
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
touch --no-create %{_datadir}/icons/oxygen &> /dev/null || :
touch --no-create %{_datadir}/mime ||:

%posttrans core
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun core
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    touch --no-create %{_datadir}/icons/oxygen &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null || :
    update-desktop-database -q &> /dev/null ||:
    touch --no-create %{_datadir}/mime ||:
    update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%files core
%defattr(-,root,root)
%license COPYING COPYING.LIB
%doc AUTHORS README
%{_bindir}/calligra
%{_bindir}/calligraconverter
%{_libdir}/kde4/calligra_textediting_autocorrect.so
%{_libdir}/kde4/calligra_tool_basicflakes.so
%{_libdir}/kde4/calligradocinfopropspage.so
%{_libdir}/kde4/calligraimagethumbnail.so
%{_libdir}/kde4/calligra_textediting_changecase.so
%{_libdir}/kde4/calligra_tool_defaults.so
%{_libdir}/kde4/calligra_docker_defaults.so
%{_libdir}/kde4/calligrathumbnail.so
%{_libdir}/kde4/kopabackgroundtool.*
%{_libdir}/kde4/kolcmsengine.*
%{_libdir}/kde4/koreport_barcodeplugin.so
%{_libdir}/kde4/koreport_chartplugin.so
%{_libdir}/kde4/koreport_webplugin.so
%dir %{_datadir}/kde4/services/calligra/
%{_datadir}/kde4/services/calligra/koreport_barcodeplugin.desktop
%{_datadir}/kde4/services/calligra/koreport_chartplugin.desktop
%{_datadir}/kde4/services/calligra/koreport_webplugin.desktop
%{_libdir}/kde4/calligra_textediting_spellcheck.so
%{_libdir}/kde4/calligra_textinlineobject_variables.so
%{_libdir}/kde4/calligra_textediting_thesaurus.so
%{_libdir}/kde4/calligra_shape_artistictext.so
%{_libdir}/kde4/calligra_shape_chart.so
%{_libdir}/kde4/calligra_shape_formular.so
%{_libdir}/kde4/calligra_shape_music.so
%{_libdir}/kde4/calligra_shape_picture.so
%{_libdir}/kde4/calligra_shape_plugin.so
%{_libdir}/kde4/calligra_device_spacenavigator.so
%{_libdir}/kde4/calligra_shape_spreadsheet.so
%{_libdir}/kde4/calligra_shape_text.so
%{_libdir}/kde4/calligra_shape_vector.so
%{_libdir}/kde4/calligra_shape_video.so
%{_datadir}/kde4/apps/calligra/
%{_datadir}/kde4/apps/koproperty/
%{_datadir}/mime/packages/msooxml-all.xml
%{_datadir}/mime/packages/calligra_svm.xml
%{_datadir}/mime/packages/krita*.xml
%{_datadir}/mime/packages/wiki-format.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/oxygen/*/*/*
%{_datadir}/applications/kde4/calligra.desktop
%{_datadir}/kde4/services/calligra/calligra_textediting_autocorrect.desktop
%{_datadir}/kde4/services/calligra/calligra_tool_basicflakes.desktop
%{_datadir}/kde4/services/calligra_odg_thumbnail.desktop
%{_datadir}/kde4/services/calligra/calligradocinfopropspage.desktop
%{_datadir}/kde4/services/calligra/calligra_docker_defaults.desktop
%{_datadir}/kde4/services/calligra/calligrastageeventactions.desktop
%{_datadir}/kde4/services/calligra/calligrastagetoolanimation.desktop
%{_datadir}/kde4/services/calligra/calligra_textediting_changecase.desktop
%{_datadir}/kde4/services/calligra/calligra_tool_defaults.desktop
%{_datadir}/kde4/services/calligra/kolcmsengine.desktop
%{_datadir}/kde4/services/calligra/kopabackgroundtool.desktop
%{_datadir}/kde4/services/calligra/calligra_device_spacenavigator.desktop
%{_datadir}/kde4/services/calligra/calligra_textediting_spellcheck.desktop
%{_datadir}/kde4/services/calligra/calligra_textinlineobject_variables.desktop
%{_datadir}/kde4/services/calligra/calligra_textediting_thesaurus.desktop
%{_datadir}/kde4/servicetypes/calligra_application.desktop
%{_datadir}/kde4/servicetypes/calligra_deferred_plugin.desktop
%{_datadir}/kde4/servicetypes/calligra_filter.desktop
%{_datadir}/kde4/servicetypes/calligra_part.desktop
%{_datadir}/kde4/servicetypes/calligradocker.desktop
%{_datadir}/kde4/servicetypes/filtereffect.desktop
%{_datadir}/kde4/servicetypes/inlinetextobject.desktop
%{_datadir}/kde4/servicetypes/kopa_tool.desktop
%{_datadir}/kde4/servicetypes/koreport_itemplugin.desktop
%{_datadir}/kde4/servicetypes/texteditingplugin.desktop
%{_datadir}/kde4/servicetypes/widgetfactory.desktop
%{_libdir}/kde4/calligra_filter_pdf2svg.so
%{_datadir}/kde4/services/calligra/calligra_filter_pdf2svg.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_artistictext.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_chart.desktop
%{_datadir}/kde4/services/calligra/kformulapart.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_formular.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_music.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_picture.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_plugin.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_spreadsheet.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_text.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_vector.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_video.desktop
%{_datadir}/kde4/apps/formulashape/
%{_datadir}/kde4/apps/musicshape/
%dir %{_datadir}/color/
%dir %{_datadir}/color/icc/
%{_datadir}/kde4/servicetypes/pigment*.desktop
%{_libdir}/kde4/calligra_shape_paths.so
%{_datadir}/kde4/services/calligra/calligra_shape_paths.desktop
%{_docdir}/HTML/en/calligra/

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%defattr(-,root,root)
%{_datadir}/kde4/servicetypes/calligradb_driver.desktop
%{_libdir}/libbasicflakes.so.*
%{_datadir}/kde4/servicetypes/flake*.desktop
%{_libdir}/libcalligradb.so.*
%{_libdir}/libflake.so.*
%{_libdir}/libkokross.so.*
%{_libdir}/libkomain.so.*
%{_libdir}/libkoodf.so.*
%{_libdir}/libkoodf2.so.*
%{_libdir}/libkoodfreader.so.*
%{_libdir}/libkordf.so.*
%{_libdir}/libkopageapp.so.*
%{_libdir}/libkoproperty.so.*
%{_libdir}/libkoplugin.so.*
%{_libdir}/libkoreport.so.*
%{_libdir}/libkotext.so.*
%{_libdir}/libkowidgets.so.*
%{_libdir}/libkowidgetutils.so.*
%{_libdir}/libkowv2.so.9*
%{_libdir}/libkformula.so.*
%{_libdir}/libkundo2.so.*
%{_libdir}/libkomsooxml.so.*
%{_libdir}/libpigmentcms.so.*
%{_libdir}/libRtfReader.so.*
%{_libdir}/libkotextlayout.so.*
%{_libdir}/libkovectorimage.so.*
%{_libdir}/libkoversion.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/kde4/*
%{_libdir}/libbasicflakes.so
%{_libdir}/libflake.so
%{_libdir}/libkformdesigner.so
%{_libdir}/libkomain.so
%{_libdir}/libkoodf.so
%{_libdir}/libkoodf2.so
%{_libdir}/libkoodfreader.so
%{_libdir}/libkordf.so
%{_libdir}/libkopageapp.so
%{_libdir}/libkotext.so
%{_libdir}/libkowidgets.so
%{_libdir}/libkowidgetutils.so
%{_libdir}/libkundo2.so
%{_libdir}/libpigmentcms.so
%{_datadir}/kde4/apps/cmake/modules/FindCalligraLibs.cmake

%post kdchart -p /sbin/ldconfig
%postun kdchart -p /sbin/ldconfig

%files kdchart
%defattr(-,root,root)
%{_libdir}/libcalligrakdchart.so.14*

%files kdchart-devel
%defattr(-,root,root)
%{_includedir}/kdchart
%{_includedir}/KDChart/
%{_libdir}/libcalligrakdchart.so
# compat lib symlink
%{_libdir}/libkdchart.so

%posttrans author
update-desktop-database -q &> /dev/null ||:

%postun author
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%files author
%defattr(-,root,root)
%{_bindir}/calligraauthor
%{_libdir}/kde4/authorpart.so
%{_libdir}/libkdeinit4_calligraauthor.so
%{_datadir}/applications/kde4/author.desktop
%{_datadir}/config/authorrc
%{_datadir}/kde4/apps/author/
%{_datadir}/kde4/services/calligra/authorpart.desktop

%posttrans braindump
update-desktop-database -q &> /dev/null ||:

%postun braindump
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%files braindump
%defattr(-,root,root)
%{_bindir}/braindump
%{_datadir}/appdata/braindump.appdata.xml
%{_libdir}/kde4/braindump_shape_state.so
%{_libdir}/kde4/braindump_shape_web.so
%{_datadir}/applications/kde4/braindump.desktop
%{_datadir}/kde4/apps/braindump/
%{_datadir}/kde4/apps/stateshape/
%{_datadir}/kde4/services/calligra/braindump_shape_state.desktop
%{_datadir}/kde4/services/calligra/braindump_shape_web.desktop
%{_datadir}/kde4/servicetypes/braindump_extensions.desktop

%post braindump-libs -p /sbin/ldconfig
%postun braindump-libs -p /sbin/ldconfig

%files braindump-libs
%defattr(-,root,root)
%{_libdir}/libbraindumpcore.so.*

%if 0%{?marble}
%files reports-map-element
%defattr(-,root,root)
%{_libdir}/kde4/koreport_mapsplugin.so
%{_datadir}/kde4/services/calligra/koreport_mapsplugin.desktop
%endif

%posttrans sheets 
update-desktop-database -q &> /dev/null ||:

%postun sheets 
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%files sheets 
%{_bindir}/calligrasheets
%{_datadir}/appdata/sheets.appdata.xml
%{_libdir}/libkdeinit4_calligrasheets.so
%{_libdir}/libcalligrasheetsodf.so
%{_libdir}/kde4/calligrasheets*.so
%{_libdir}/kde4/krossmodulesheets.so
%{_libdir}/kde4/kspread*module.so
%{_libdir}/kde4/calligra_filter_*sheets*.so
%{_libdir}/kde4/calligra_filter_*kspread*.so
%{_libdir}/kde4/calligra_filter_xls*.so
%{_datadir}/kde4/services/calligra/calligra_filter_*kspread*.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_xls*.desktop
%{_libdir}/kde4/kspread_plugin_tool_calendar.so
%{_libdir}/kde4/sheetssolver.so
%{_libdir}/kde4/calligra_shape_spreadsheet-deferred.so
%{_datadir}/kde4/apps/sheets/
%{_datadir}/config/sheetsrc
%{_datadir}/config.kcfg/sheets.kcfg
%{_datadir}/kde4/services/calligra/krossmodulesheets.desktop
%{_datadir}/kde4/services/calligra/kspread_plugin_tool_calendar.desktop
%{_datadir}/kde4/services/calligra/kspread*module.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_*sheets*.desktop
%{_datadir}/kde4/services/sheets_*_thumbnail.desktop
%{_datadir}/kde4/services/calligra/calligra_shape_spreadsheet-deferred.desktop
%{_datadir}/kde4/services/calligra/sheetspart.desktop
%{_datadir}/kde4/servicetypes/sheets_plugin.desktop
%{_datadir}/kde4/servicetypes/sheets_viewplugin.desktop
%{_datadir}/kde4/services/calligra/sheetsscripting.desktop
%{_datadir}/kde4/services/calligra/sheetssolver.desktop
%{_datadir}/templates/SpreadSheet.desktop
%{_datadir}/templates/.source/SpreadSheet.ods
%{_datadir}/applications/kde4/sheets.desktop
%{_datadir}/kde4/services/ServiceMenus/calligra/sheets_print.desktop
%{_docdir}/HTML/en/sheets/

%post sheets-libs -p /sbin/ldconfig
%postun sheets-libs -p /sbin/ldconfig

%files sheets-libs
%defattr(-,root,root)
%{_libdir}/libcalligrasheetscommon.so.*
%{_libdir}/libcalligrasheetsodf.so.*

%posttrans stage
update-desktop-database -q &> /dev/null ||:

%postun stage
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%files stage 
%defattr(-,root,root)
%doc stage/AUTHORS stage/CHANGES
%{_bindir}/calligrastage
%{_datadir}/appdata/stage.appdata.xml
%{_libdir}/libkdeinit4_calligrastage.so
%{_libdir}/kde4/*stage*.*
%{_libdir}/kde4/kpr_pageeffect_*.so
%{_libdir}/kde4/kpr_shapeanimation_*.so
%{_libdir}/kde4/calligra_filter_kpr2odp.so
%{_libdir}/kde4/calligra_filter_ppt2odp.so
%{_libdir}/kde4/calligra_filter_pptx2odp.so
%{_datadir}/kde4/services/calligra/calligra_filter_kpr2odp.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_ppt2odp.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_pptx2odp.desktop
%{_datadir}/kde4/apps/stage/
%{_datadir}/config/stagerc
%{_docdir}/HTML/en/stage/
%{_datadir}/kde4/services/calligra/kpr*.desktop
%{_datadir}/kde4/services/stage_*_thumbnail.desktop
%{_datadir}/kde4/servicetypes/kpr*.desktop
%{_datadir}/kde4/servicetypes/presentationeventaction.desktop
%{_datadir}/kde4/servicetypes/scripteventaction.desktop
%{_datadir}/templates/Presentation.desktop
%{_datadir}/templates/.source/Presentation.odp
%{_datadir}/applications/kde4/*stage.desktop
%{_datadir}/kde4/services/calligra/stagepart.desktop
%{_datadir}/kde4/services/ServiceMenus/calligra/stage_print.desktop

%post stage-libs -p /sbin/ldconfig
%postun stage-libs -p /sbin/ldconfig

%files stage-libs
%defattr(-,root,root)
%{_libdir}/libcalligrastageprivate.so.*
%{_libdir}/kde4/kprvariables.*

%posttrans karbon
update-desktop-database -q &> /dev/null ||:

%postun karbon
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%files karbon
%defattr(-,root,root)
%{_bindir}/karbon
%{_datadir}/appdata/karbon.appdata.xml
%{_datadir}/config/karbonrc
%{_libdir}/libkdeinit4_karbon.so
%{_libdir}/kde4/*karbon*.*
%{_datadir}/kde4/apps/karbon/
%{_datadir}/kde4/services/calligra/karbon*
%{_datadir}/kde4/services/calligra/calligra_filter_*karbon*.desktop
%{_datadir}/kde4/servicetypes/karbon_dock.desktop
%{_datadir}/kde4/servicetypes/karbon_viewplugin.desktop
%if 0%{?pstoedit}
%{_libdir}/kde4/calligra_filter_eps2svgai.so
%{_datadir}/kde4/services/calligra/calligra_filter_eps2svgai.desktop
%endif
%{_libdir}/kde4/calligra_filter_wmf2svg.so
%{_libdir}/kde4/calligra_filter_xfig2odg.so
%{_datadir}/kde4/services/calligra/calligra_filter_wmf2svg.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_xfig2odg.desktop
%{_datadir}/kde4/services/karbon_*_thumbnail.desktop
%{_datadir}/templates/Illustration.desktop
%{_datadir}/templates/.source/Illustration.odg
%{_datadir}/appdata/karbon.appdata.xml
%{_datadir}/applications/kde4/*karbon.desktop
%{_datadir}/kde4/services/ServiceMenus/calligra/karbon_print.desktop

%post karbon-libs -p /sbin/ldconfig
%postun karbon-libs -p /sbin/ldconfig

%files karbon-libs
%defattr(-,root,root)
%{_libdir}/libkarboncommon.so.*
%{_libdir}/libkarbonui.so.*

%posttrans krita
update-desktop-database -q &> /dev/null ||:

%postun krita
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%files krita
%defattr(-,root,root)
%doc krita/AUTHORS krita/ChangeLog krita/README
%{_bindir}/krita
%{?gmic:%{_bindir}/gmicparser}
%{_datadir}/config/kritarc
%{_libdir}/kde4/*krita*.*
%{_datadir}/kde4/apps/color-schemes/Krita*.colors
%{_datadir}/kde4/apps/krita/
%{_datadir}/kde4/apps/kritaanimation/
%{_datadir}/kde4/apps/kritagemini/
%{_datadir}/kde4/apps/kritasketch/
%{_datadir}/config/krita*.knsrc
%{_datadir}/kde4/services/calligra/krita*.desktop
%{_datadir}/kde4/services/krita_*_thumbnail.desktop
%{_datadir}/kde4/servicetypes/krita*.desktop
%{_datadir}/applications/kde4/*krita*.desktop
%{_datadir}/kde4/apps/kritaplugins/
%{_datadir}/color/icc/krita/
%{_datadir}/kde4/services/ServiceMenus/calligra/krita_print.desktop
%{_datadir}/appdata/krita.appdata.xml

%post krita-libs -p /sbin/ldconfig
%postun krita-libs -p /sbin/ldconfig

%files krita-libs
%defattr(-,root,root)
%{_libdir}/libkritaglobal.so.*
%{_libdir}/libkritacolor.so.*
%{_libdir}/libkritapsd.so.*
# unversioned
%{_libdir}/libkritacolord.so
%{_libdir}/libkritaimage.so.*
%{_libdir}/libkritalibbrush.so.*
%{_libdir}/libkritalibpaintop.so.*
%{_libdir}/libkritaui.so.*
%{_libdir}/kde4/plugins/imageformats/kimg_kra.so
%{_libdir}/kde4/plugins/imageformats/kimg_ora.so
%{_datadir}/kde4/services/qimageioplugins/kra.desktop
%{_datadir}/kde4/services/qimageioplugins/ora.desktop

%posttrans kexi
update-desktop-database -q &> /dev/null ||:

%postun kexi
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files kexi
%defattr(-,root,root)
%doc kexi/CHANGES kexi/README
%{_bindir}/kexi*
%{_datadir}/appdata/kexi.appdata.xml
%{_libdir}/kde4/kformdesigner_containers.so
%{_libdir}/kde4/kformdesigner_kexidbwidgets.so
%{_libdir}/kde4/kformdesigner_stdwidgets.so
%{_libdir}/kde4/kformdesigner_webbrowser.so
%{_libdir}/kde4/kexihandler_*.*
%{_libdir}/kde4/krossmodulekexidb.so
%{_libdir}/kde4/kexidb_sqlite3driver.so
%{_libdir}/kde4/kexidb_sqlite3_icu.so
%{_libdir}/kde4/keximigrate_mdb.so
%{_libdir}/kde4/keximigrate_txt.so
%{_datadir}/applications/kde4/*kexi.desktop
%{_datadir}/config/kexirc
%{_datadir}/kde4/apps/kexi/
%{_datadir}/kde4/servicetypes/kexi*.desktop
%{_datadir}/kde4/services/calligra/kexicsv_importexporthandler.desktop
%{_datadir}/kde4/services/calligra/kexiformhandler.desktop
%{_datadir}/kde4/services/calligra/keximigrationhandler.desktop
%{_datadir}/kde4/services/calligra/kexiqueryhandler.desktop
%{_datadir}/kde4/services/calligra/kexireporthandler.desktop
%{_datadir}/kde4/services/calligra/kexiscripthandler.desktop
%{_datadir}/kde4/services/calligra/kexitablehandler.desktop
%{_datadir}/kde4/services/calligra/keximigrate_mdb.desktop
%{_datadir}/kde4/services/calligra/keximigrate_txt.desktop
%{_datadir}/kde4/services/calligra/kexidb_sqlite3driver.desktop
%{_datadir}/kde4/services/calligra/kformdesigner_containers.desktop
%{_datadir}/kde4/services/calligra/kformdesigner_kexidbfactory.desktop
%{_datadir}/kde4/services/calligra/kformdesigner_stdwidgets.desktop
%{_datadir}/kde4/services/calligra/kformdesigner_webbrowser.desktop
%{_docdir}/HTML/en/kexi/

%post kexi-libs -p /sbin/ldconfig
%postun kexi-libs -p /sbin/ldconfig

%files kexi-libs
%defattr(-,root,root)
%{_libdir}/libkexi*.so.*
%{_libdir}/libkformdesigner.so.*

%files kexi-driver-mysql
%defattr(-,root,root)
%{_libdir}/kde4/kexidb_mysqldriver.*
%{_libdir}/kde4/keximigrate_mysql.*
%{_datadir}/kde4/services/calligra/keximigrate_mysql.desktop
%{_datadir}/kde4/services/calligra/kexidb_mysqldriver.desktop

%if 0%{?postgresql}
%files kexi-driver-postgresql
%defattr(-,root,root)
%{_libdir}/kde4/kexidb_pqxxsqldriver.*
%{_libdir}/kde4/keximigrate_pqxx.*
%{_datadir}/kde4/services/calligra/kexidb_pqxxsqldriver.desktop
%{_datadir}/kde4/services/calligra/keximigrate_pqxx.desktop
%endif

%files kexi-driver-sybase
%defattr(-,root,root)
%{_libdir}/kde4/kexidb_sybasedriver.so
%{_libdir}/kde4/keximigrate_sybase.so
%{_datadir}/kde4/services/calligra/kexidb_sybasedriver.desktop
%{_datadir}/kde4/services/calligra/keximigrate_sybase.desktop

%if 0%{?marble}
%files kexi-map-form-widget
%defattr(-,root,root)
%{_libdir}/kde4/kformdesigner_mapbrowser.so
%{_datadir}/kde4/services/calligra/kformdesigner_mapbrowser.desktop
%endif

%files kexi-spreadsheet-import
%defattr(-,root,root)
%{_libdir}/kde4/keximigrate_spreadsheet.so
%{_datadir}/kde4/services/calligra/keximigrate_spreadsheet.desktop

%posttrans flow
update-desktop-database -q &> /dev/null ||:

%postun flow
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files flow 
%defattr(-,root,root)
%doc flow/AUTHORS flow/CHANGE* flow/NOTES flow/README
%{_bindir}/calligraflow
%{_libdir}/libkdeinit4_calligraflow.so
%{_libdir}/kde4/*flow*.*
%if 0%{?visio}
%{_libdir}/kde4/calligra_filter_vsdx2odg.so
%{_datadir}/kde4/services/calligra/calligra_filter_vsdx2odg.desktop
%{_datadir}/kde4/services/flow_vsdx_thumbnail.desktop
%endif
%{_datadir}/kde4/apps/flow/
%{_datadir}/config/flow_stencils.knsrc
%{_datadir}/kde4/services/calligra/flow*.desktop
%if 0%{?wpd}
%{_datadir}/kde4/services/flow_wpg_thumbnail.desktop
%endif
%{_datadir}/applications/kde4/flow.desktop
%{_datadir}/appdata/flow.appdata.xml
%{_datadir}/config/flowrc
%{_datadir}/kde4/servicetypes/flow_dock.desktop
%{_datadir}/kde4/services/ServiceMenus/calligra/flow_print.desktop

%post flow-libs -p /sbin/ldconfig
%postun flow-libs -p /sbin/ldconfig

%files flow-libs
%defattr(-,root,root)
%{_libdir}/libflowprivate.so.*

%posttrans plan
update-desktop-database -q &> /dev/null ||:
%if 0%{?mpxj}
update-mime-database %{_datadir}/mime >& /dev/null
%endif

%postun plan
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
%if 0%{?mpxj}
update-mime-database %{_datadir}/mime >& /dev/null
%endif
fi

%files plan 
%defattr(-,root,root)
%doc plan/CHANGELOG plan/TODO
%{_bindir}/calligraplan
%{_bindir}/calligraplanwork
%{_datadir}/appdata/plan.appdata.xml
%{_libdir}/libkdeinit4_calligraplan.so
%{_libdir}/libkdeinit4_calligraplanwork.so
%{_libdir}/kde4/kplatorcpsscheduler.so
%{_libdir}/kde4/planpart.*
%{_libdir}/kde4/planworkpart.so
%{_libdir}/kde4/planicalexport.*
%{_libdir}/kde4/plankplatoimport.*
%{_libdir}/kde4/krossmoduleplan.so
%{_libdir}/kde4/plantjscheduler.so
%{_datadir}/applications/kde4/plan.desktop
%{_datadir}/applications/kde4/planwork.desktop
%{_datadir}/config/planrc
%{_datadir}/config/planworkrc
%{_datadir}/config.kcfg/plansettings.kcfg
%{_datadir}/config.kcfg/planworksettings.kcfg
%{_datadir}/kde4/apps/plan/
%{_datadir}/kde4/apps/planwork/
%{_datadir}/kde4/services/calligra/krossmoduleplan.desktop
%{_datadir}/kde4/services/calligra/plan*.desktop
%{_datadir}/kde4/servicetypes/plan_schedulerplugin.desktop
%{_datadir}/kde4/servicetypes/plan_viewplugin.desktop
%if 0%{?mpxj}
%{_libdir}/kde4/planconvert/
%{_datadir}/kde4/services/calligracalligra_filter_mpp2plan.desktop
%{_datadir}/kde4/services/calligracalligra_filter_planner2plan.desktop
%{_datadir}/mime/packages/calligra_planner_mpp.xml
%endif

%post plan-libs -p /sbin/ldconfig
%postun plan-libs -p /sbin/ldconfig

%files plan-libs
%defattr(-,root,root)
%{_libdir}/libplanprivate.so.*
%{_libdir}/libplanworkapp.so.*
%{_libdir}/libplanworkfactory.so.*
%{_libdir}/libcalligrakdgantt.so.*
%{_libdir}/libkplatokernel.so.*
%{_libdir}/libkplatoui.so.*
%{_libdir}/libkplatomodels.so.*
%{_libdir}/librcps_plan.so.*

%files qtquick
%dir %{_libdir}/calligra/imports
%dir %{_libdir}/calligra/imports/org/
%dir %{_libdir}/calligra/imports/org/calligra/
%{_libdir}/calligra/imports/org/calligra/CalligraComponents/

%posttrans words
update-desktop-database -q &> /dev/null ||:

%postun words
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files words
%defattr(-,root,root)
%{_bindir}/calligrawords
%{_datadir}/appdata/words.appdata.xml
%{_libdir}/libkdeinit4_calligrawords.so
%{_libdir}/kde4/wordspart.*
%{_datadir}/applications/kde4/calligrawords_ascii.desktop
%{_datadir}/applications/kde4/words.desktop
%{_datadir}/config/wordsrc
%{_datadir}/kde4/apps/words/
%{_datadir}/kde4/services/calligra/wordspart.desktop
%{_datadir}/templates/TextDocument.desktop
%{_datadir}/templates/.source/TextDocument.odt
%{_libdir}/kde4/calligra_filter_applixword2odt.so
%{_libdir}/kde4/calligra_filter_ascii2words.so
%{_libdir}/kde4/calligra_filter_doc2odt.so
%{_libdir}/kde4/calligra_filter_docx2odt.so
%{_libdir}/kde4/calligra_filter_html2ods.so
%{_libdir}/kde4/calligra_filter_odt2ascii.so
%{_libdir}/kde4/calligra_filter_odt2docx.so
%{_libdir}/kde4/calligra_filter_odt2epub2.so
%{_libdir}/kde4/calligra_filter_odt2html.so
%{_libdir}/kde4/calligra_filter_odt2mobi.so
%{_libdir}/kde4/calligra_filter_odt2wiki.so
%{_libdir}/kde4/calligra_filter_rtf2odt.so

%if 0%{?wpd}
%{_datadir}/kde4/services/calligra/calligra_filter_wpd2odt.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_wpg2odg.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_wpg2svg.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_wps2odt.desktop
%{_libdir}/kde4/calligra_filter_wpd2odt.so
%{_libdir}/kde4/calligra_filter_wpg2odg.so
%{_libdir}/kde4/calligra_filter_wpg2svg.so
%{_libdir}/kde4/calligra_filter_wps2odt.so
%endif
%{_datadir}/kde4/services/calligra_filter_odt2wiki.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_applixword2odt.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_ascii2words.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_doc2odt.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_docx2odt.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_html2ods.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_odt2ascii.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_odt2docx.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_odt2epub2.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_odt2html.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_odt2mobi.desktop
%{_datadir}/kde4/services/calligra/calligra_filter_rtf2odt.desktop
%{_datadir}/kde4/services/words_*_thumbnail.desktop
%{_datadir}/kde4/services/ServiceMenus/calligra/words_print.desktop

%post words-libs -p /sbin/ldconfig
%postun words-libs -p /sbin/ldconfig

%files words-libs
%defattr(-,root,root)
%{_libdir}/libwordsprivate.so.*

%if 0%{?okular}
%files okular-odpgenerator
%defattr(-,root,root)
%{_libdir}/kde4/okularGenerator_odp.so
%{_datadir}/applications/kde4/okularApplication_odp.desktop
%{_datadir}/applications/kde4/okularApplication_powerpoint_calligra.desktop

%{_datadir}/applications/kde4/okularApplication_pptx_calligra.desktop
%{_datadir}/kde4/services/libokularGenerator_odp.desktop
%{_datadir}/kde4/services/libokularGenerator_powerpoint_calligra.desktop
%{_datadir}/kde4/services/libokularGenerator_pptx_calligra.desktop
%{_datadir}/kde4/services/okularOdp.desktop
%{_datadir}/kde4/services/okularPowerpoint_calligra.desktop
%{_datadir}/kde4/services/okularPptx_calligra.desktop

%files okular-odtgenerator
%{_libdir}/kde4/okularGenerator_odt.so
%{_datadir}/applications/kde4/okularApplication_doc_calligra.desktop
%{_datadir}/applications/kde4/okularApplication_docx_calligra.desktop
%{_datadir}/applications/kde4/okularApplication_odt.desktop
%{_datadir}/kde4/services/libokularGenerator_doc_calligra.desktop
%{_datadir}/kde4/services/libokularGenerator_docx_calligra.desktop
%{_datadir}/kde4/services/okularDoc_calligra.desktop
%{_datadir}/kde4/services/okularDocx_calligra.desktop
%{_datadir}/kde4/services/libokularGenerator_odt.desktop
%{_datadir}/kde4/services/okularOdt.desktop
%if 0%{?wpd}
%{_datadir}/applications/kde4/okularApplication_wpd_calligra.desktop
%{_datadir}/kde4/services/libokularGenerator_wpd_calligra.desktop
%{_datadir}/kde4/services/okularWpd_calligra.desktop
%endif
%endif

%files semanticitems
%defattr(-,root,root)
%{_libdir}/kde4/calligra_semanticitem_contact.so
%{_libdir}/kde4/calligra_semanticitem_event.so
%{_libdir}/kde4/calligra_semanticitem_location.so
%{_datadir}/kde4/services/calligra/calligra_semanticitem_contact.desktop
%{_datadir}/kde4/services/calligra/calligra_semanticitem_event.desktop
%{_datadir}/kde4/services/calligra/calligra_semanticitem_location.desktop
%{_datadir}/kde4/servicetypes/calligra_semanticitem.desktop


%changelog
* Thu Jan 18 2018 Toshiaki Ara <ara_t@384.jp> 2.9.11-3
- rebuild under current VineSeed
- add option: -DCMAKE_CXX_FLAGS="-std=c++11"

* Tue Nov 15 2016 Toshiaki Ara <ara_t@384.jp> 2.9.11-2
- rebuild under gsl-2.2.1

* Sun Jul  3 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.9.11-1
- new upstream release.

* Mon May 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.7-7
- rebuild with poppler-0.43.0

* Tue Nov 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.7-6
- rebuild with icu-56.1

* Thu Oct 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.7-5
- rebuild with glew-1.13.0

* Thu Jan 15 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.8.7-4
- spec revamped based on Fedora 2.8.7-3
- added Patch700 to build with openjpeg
- previous Vine changelogs as follows:
    * Sat Apr 16 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1:2.3.3-3
    - rebuilt with openjpeg-1.4
    * Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 1:2.3.3-2
    - rebuilt with postgresql-9.0.3
    * Sun Mar 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1:2.3.3-1
    - new upstream release
    * Sun Oct  3 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.3-4
    - rebuilt with ImageMagick-6.6.4.8
    * Tue May  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.3-3
    - rebuilt with new toolchain and ImageMagick-6.6.1.5
    - fixed configure for building with python-2.6
    - added Patch0-2 for building new toolchain 
    (Gentoo#228839, Debian#504870, Gentoo#270960)
    * Fri May 22 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.3-2
    - added libtiff(-devel) to dependency.
    - rebuilt with MySQL-5.1.34.
    * Sat May  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.3-1
    - applied new versioning policy
    - spec in UTF-8
    * Mon Nov 12 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.3-0vl6
    - rebuild for VineSeed
    * Mon Nov 12 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.3-0vl5
    - add Patch1 (CVE-2007-4352, 5392, 5393)
    * Thu Aug  2 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.3-0vl4
    - add Patch0 (CVE-2007-3387)
    * Sat Jul 28 2007 NAKAMURA Kenta <kenta@vinelinux.org> 1.6.3-0vl3
    - added --with-qt-libraries configure option
    * Thu Jun 28 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.3-0vl2
    - rebuild for VineSeed
    * Wed Jun 27 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.3-0vl1
    - new upstream release
    * Tue Oct 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.0-0vl1
    - new upstream release
    * Mon Sep 11 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.91-0vl1
    - new upstream release
    * Mon Jul 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.2-0vl2
    - rebuild for VineSeed
    * Mon Jul 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.2-0vl1
    - new upstream release
    - drop obsolete patches
    * Mon May 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.1-0vl2
    - rebuild for VineSeed
    * Mon May 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.1-0vl1
    - new upstream release
    - drop obsolete patches
    - add BuildPrereq: libexif-devel
    - add --disable-final to configure option
    - add Patch0 and Patch1
    * Tue Apr 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.0-0vl3
    - build with ruby-1.8.4-0vl1 on VineSeed
    - add Buildprereq: ruby-devel for VineSeed
    * Thu Apr  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.0-0vl2
    - rebuild for VineSeed
    * Thu Apr  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.0-0vl1
    - new upstream release
    - drop Patch1
    * Fri Mar 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.0-0vl0.rc1
    - new upstream release
    - drop Patch0
    - add --disable-pie and --includedir=%%{_includedir}/kde to configure option
    - add BuildConflicts: ruby-devel
    - add Patch1
    - update %%files
    * Sun Mar 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.2-0vl4
    - rebuild with libgsf-1.14.0-0vl1
    - add Japanese summary
    * Thu Jan  5 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.2-0vl3
    - add Patch0 (CAN-2005-3193)
    * Thu Nov 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.2-0vl2
    - rebuild with libgsf-1.13.3-0vl1 and python-2.4.2-0vl4
    * Tue Oct 18 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.2-0vl1
    - new upstream release
    - remove all patches
    - add SOURCE1 from snapshot
    * Mon Sep 26 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.1-0vl2
    - add Patch0 - Patch8 to build with qt-3.3.5
    - add BuildPrereq: libtool-ltdl-devel
    * Thu Jul 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.1-0vl1
    - new upstream release
    * Thu Jul  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.0a-0vl1
    - new upstream release
    - remove i18n files
    - add BuildPrereq: automake17
    - add --disable-rpath to configure option
    * Tue Apr 26 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.91-0vl1
    - new upstream release
    - remove all patches
    - add BuildPrereq: lcms-devel MySQL-devel postgresql-devel libpqxx-devel
    - change Group to Applications/Productivity
    - update Summary and description
    * Mon Mar 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl8
    - rebuild with KDE-3.4.0 (VineSeed)
    * Mon Mar 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl7
    - rebuild with KDE-3.4.0 (Vine3.1)
    - clean up changelog to use (double-percent) everywhere
    * Sat Jan 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl6
    - rebuild for VineSeed
    * Fri Jan 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl5
    - add Patch1 (CAN-2005-0064)
    * Fri Jan  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl4
    - rebuild for VineSeed
    * Fri Jan  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl3
    - add patch0 (http://www.koffice.org/security/2004_xpdf_integer_overflow_2.php)
    * Sun Jan  2 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl2
    - rebuild for VineSeed
    * Sun Jan  2 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl1
    - new upstream release
    - remove about ia64
    - remove patch0
    * Sun Oct 31 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.4-0vl1
    - source upgrade
    - add Patch0 (security patch)
    * Thu Aug 12 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.2-0vl1
    - source upgrade
    - remove lines about vine26 
    - add BuildPrereq: libgsf-devel
    * Thu May  6 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.1-0vl1
    - source upgrade
    * Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3-0vl3
    - rebuild with kde-3.2.2
    * Wed Mar 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3-0vl2
    - rebuild with kde-3.2.1
    * Wed Jan 21 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3-0vl1
    - source upgrade
    * Mon Dec 29 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.95-0vl1
    - source upgrade
    - add BuildPrereq: jasper-devel doxygen ImageMagick-devel pkgconfig
    * Mon Sep 29 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.93-0vl1
    - source upgrade
    * Sat Sep 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.92-0vl2
    - rebuild with kdelibs-3.1.4 and gcc-3.2.3
    * Fri Aug 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.92-0vl1
    - source upgrade
    - BuildPrereq: wv2-devel >= 0.1.8 and add Requires: wv2
    * Mon Jul 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.91-0vl1
    - source upgrade
    - built with libpng >= 1.2.5 when %%{vine26} is set to 0 (ie VineSeedPlus)
    - change spec to build with gcc295
    - remove patch
    - add BuildPrereq: aspell-devel >= 0.50.2 and Requires: aspell
    - add BuildPrereq: wv2-devel
    * Mon May 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.1-0vl4
    - rebuild with kdelibs-3.1.2
    * Thu Apr  4 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.1-0vl3
    - rebuild with kdelibs-3.1.1
    * Sat Feb  8 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.1-0vl2
    - add patch
    * Fri Feb  7 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.1-0vl1
    - source upgrade
    - change spec to build both VineSeed and Vine2.5/2.6
    * Wed Oct 16 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2-0vl3
    - objprelink2 support only ix86 (add %%ifarch %%{ix86} ... )
    * Wed Oct  9 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2-0vl2
    - rebuild with qt-3.0.5-0vl1
    - BuildPrereq: autoconf253
    * Mon Sep 23 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2-0vl1
    - source upgrade
    - no file conflicts from other package (maybe)
    - add BuildPrereq: objprelink2 instead of objprelink (obsolete) 
    - add BuildPrereq: libart_lgpl-devel and Requires: libart_lgpl
    - add %%doc section
    * Fri Jul  5 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 1.1.1-1vl3
    - add koffice-i18n-ja-1.1.1
    * Thu May  2 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 1.1.1-1vl2
    - source upgrade to 1.1.1
    - delete some .desktop files (they conflict files from kdelibs)
    * Sun Mar 31 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 1.1.1-1vl1
    - merged with rawhide 1.1-0.cvs20010725.1
    - source update to cvs-20020329
    - add BuildPrereq: autoconf252 automake15
    - add Epoch:1
    - There is Vine's previous changes, hacked for Vine 
    * Wed Dec 5 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 1.1-6vl1
    - Delete Epoch
    - Change BuildRequires and Requires
    - Build for VineSeed

* Sun Dec 21 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.7-3 -
  move libcalligradb to -libs, likoreport now depends on it (#1176398)

* Wed Dec 10 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.7-2
- rebuild (marble)

* Fri Dec 05 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.7-1
- 2.8.7
- -core: +Requires: calligra-l10n

* Thu Nov 27 2014 Marek Kasik <mkasik@redhat.com> 2.8.6-3
- Rebuild (poppler-0.28.1)

* Wed Nov 26 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.6-2
- rebuild (openexr)

* Mon Sep 22 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.6-1
- 2.8.6

* Tue Aug 26 2014 David Tardon <dtardon@redhat.com> - 2.8.5-6
- rebuild for ICU 53.1

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 15 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.5-4
- rebuild (okular)

* Wed Aug 06 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.5-3
- rebuild (kde-4.13.97)

* Mon Jul 14 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.5-2
- rebuild (marble)

* Sun Jul 06 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.5-1
- 2.8.5

* Thu Jul 03 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.4-2
- optimize mimeinfo scriptlet

* Tue Jun 24 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.4-1
- 2.8.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 David Tardon <dtardon@redhat.com> - 2.8.3-3
- switch to librevenge-based import libs

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 2.8.3-2
- Rebuild for boost 1.55.0

* Thu May 15 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.3-1
- 2.8.3

* Tue May 13 2014 Marek Kasik <mkasik@redhat.com> 2.8.2-4
- Rebuild (poppler-0.26.0)

* Fri May 09 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.2-3
- fix dep on marble-part (no epoch)

* Wed May 07 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.2-2
- okular-odpgenerator: Requires: okular-part
- reports-map-element: Requires: marble-part

* Wed Apr 16 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.2-1
- 2.8.2

* Fri Apr 04 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.1-3
- rebuild (okular)

* Sat Mar 29 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.1-2
- respin tarball (omitting typo)

* Tue Mar 25 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.1-1
- 2.8.1

* Thu Mar 20 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.0-2
- rebuild (kde-4.13)

* Sun Mar 02 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.0-1
- 2.8.0

* Wed Feb 12 2014 Rex Dieter <rdieter@fedoraproject.org> 2.7.92-2
- rebuild (libicu)

* Sun Feb 09 2014 Rex Dieter <rdieter@fedoraproject.org> 2.7.92-1
- 2.7.92

* Mon Jan 13 2014 Rex Dieter <rdieter@fedoraproject.org> 2.7.91-1
- 2.7.91
- BR: +libodfgen-devel -OpenGTL-devel

* Mon Dec 16 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.90-3
- krita: fix handling of unversioned libkritasketchlib.so

* Sun Dec 15 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.90-2
- enable use of libpqxx-4.x

* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.90-1
- 2.7.90

* Tue Dec 03 2013 Rex Dieter <rdieter@fedoraproject.org> - 2.7.5-2
- rebuild (exiv2)

* Wed Nov 27 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.5-1
- calligra-2.7.5

* Mon Nov 18 2013 Dave Airlie <airlied@redhat.com> - 2.7.4-3
- rebuilt for GLEW 1.10

* Sat Nov 16 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.4-2
- rebuild (kde-4.12)

* Sat Oct 12 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.4-1
- calligra-2.7.4

* Fri Sep 20 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.3-1
- calligra-2.7.3 (#951003)

* Sun Sep 08 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.2-3
- rebuild (openexr)

* Thu Sep 05 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.2-2
- rebuild (for libkdcraw-4.11.x)

* Fri Aug 23 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.2-1
- calligra-2.7.2 (#951003)

* Mon Aug 19 2013 Marek Kasik <mkasik@redhat.com> 2.7.1-2
- Rebuild (poppler-0.24.0)

* Wed Jul 31 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.1-1
- 2.7.1

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 2.7.0-3
- Rebuild for boost 1.54.0

* Sat Jul 20 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.0-2
- fix arm FTBFS (qreal_double.patch courtesy of kubuntu)

* Fri Jul 19 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.0-1
- 2.7.0

* Sat Jun 29 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.92-1
- 2.6.92

* Mon Jun 24 2013 Marek Kasik <mkasik@redhat.com> 2.6.4-2
- Rebuild (poppler-0.22.5)

* Thu May 30 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.4-1
- 2.6.4 (#951003)

* Thu Apr 11 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.3-1
- 2.6.3

* Tue Mar 26 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.2-4
- explicitly omit bundled Arev fonts

* Sat Mar 23 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.2-3
- cannot display formulas (kde#317195)

* Mon Mar 18 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.2-2
- rebuild (OpenGTL)

* Mon Mar 11 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.2-1
- 2.6.2

* Sun Mar 10 2013 Rex Dieter <rdieter@fedoraproject.org> - 2.6.1-3
- rebuild (OpenEXR)

* Mon Mar 04 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.1-2.1
- rebuild (f18/marble)

* Tue Feb 19 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.1-2
- rebuild (OpenGTL/llvm)

* Mon Feb 18 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.1-1
- 2.6.1

* Mon Feb 04 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.0-1
- 2.6.0

* Sat Jan 26 2013 Rex Dieter <rdieter@fedoraproject.org> 2.5.93-4
- rebuild (icu)

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 2.5.93-3
- rebuild due to "jpeg8-ABI" feature drop

* Fri Jan 18 2013 Marek Kasik <mkasik@redhat.com> 2.5.93-2
- Rebuild (poppler-0.22.0)

* Sat Jan 05 2013 Rex Dieter <rdieter@fedoraproject.org> 2.5.93-1
- 2.5.93

* Thu Dec 13 2012 Adam Jackson <ajax@redhat.com> - 2.5.92-3
- Rebuild for glew 1.9.0

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.92-2
- rebuild (marble)

* Wed Nov 28 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.92-1
- 2.5.92

* Wed Oct 24 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.91-1
- 2.5.91

* Mon Oct 08 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.3-1
- 2.5.3

* Sat Sep 08 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.2-1
- 2.5.2

* Wed Aug 29 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.1-1
- 2.5.1

* Sun Aug 26 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.0-3
- calligra is FTBFS on ARM, qreal = float (bug #851851)

* Tue Aug 07 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.0-2
- respin

* Sat Aug 04 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.0-1
- 2.5.0

* Fri Jul 27 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.92-4
- rebuild (glew)

* Thu Jul 19 2012 Dan Horák <dan[at]danny.cz> 2.4.92-3
- OpenGTL is missing on s390(x)

* Wed Jul 18 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.92-2
- BR: libvisio-devel

* Sat Jul 14 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.92-1
- calligra-2.4.92

* Mon Jul  2 2012 Marek Kasik <mkasik@redhat.com> - 2.4.91-3
- Rebuild (poppler-0.20.1)

* Sun Jun 17 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.91-2
- tarball respin

* Fri Jun 15 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.91-1
- calligra-2.4.91

* Wed Jun 06 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.90-2
- fix kexi-map-form-widget Requires/Obsoletes logic

* Tue May 29 2012 Jaroslav Reznik <jreznik@redhat.com> 2.4.90-1
- calligra-2.4.90

* Sat May 26 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.2-1
- calligra-2.4.2

* Wed May 16 2012 Marek Kasik <mkasik@redhat.com> - 2.4.1-4
- Rebuild (poppler-0.20.0)

* Mon May 07 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.1-3
- segfault when opening a new doc / new from template (#819371)

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 2.4.1-2
- rebuild (exiv2)

* Sat Apr 21 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.1-1
- 2.4.1

* Fri Apr 20 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.0-4
- manifest file corrupted (#814643, kde#298134)

* Mon Apr 16 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.0-3
- -sheets: Provides: -tables

* Sun Apr 08 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.0-2
- -core/-libs: tighten subpkg deps

* Sat Apr 07 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.0-1
- 2.4.0
- Obsoletes: -map-shape (dropped since rc2)

* Sat Mar 17 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.92-1
- 2.3.92 (2.4rc2)
- rename -tables => -sheets

* Sat Mar 03 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.91-1
- 2.3.91 (2.4rc1)

* Sat Feb 11 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.87-4
- upstream krita_fitscreen patch (#788327)

* Wed Feb 08 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.87-3
- -braindump: move stateshape here

* Tue Jan 31 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.87-2
- -kexi: fix error in %%postun scriptlet

* Sat Jan 28 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.87-1
- 2.3.87

* Thu Jan 12 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.86-3
- %%build: -DBUILD_cstester:BOOL=OFF
- drop -filters

* Thu Jan 12 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.86-2
- rename kexi-driver-pgsql -> kexi-driver-postgresql
- kexi-driver-sybase subpkg
- kexi-map-form-widget, map-shape, reports-map-elemement subpkgs (with marble deps)

* Tue Jan 10 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.86-1
- 2.3.86
- License: +LGPLv2+
- drop Obsoletes: koffice-kivio

* Thu Aug 18 2011 Rex Dieter <rdieter@fedoraproject.org> 2.3.74-2
- fix Obsoletes: -kformula

* Mon Aug 15 2011 Rex Dieter <rdieter@fedoraproject.org> 2.3.74-1
- 2.3.74
- kformula dropped (upstream)

* Fri Jun 17 2011 Rex Dieter <rdieter@fedoraproject.org> 2.3.72-2
- fix URL
- Obsoletes: koffice < 3:2.3.70

* Thu Jun 16 2011 Rex Dieter <rdieter@fedoraproject.org> 2.3.72-1
- 2.3.72 (first try)

