# install ethtool to /sbin
%define _sbindir /sbin

Summary:      A tool for setting ethernet parameters
Summary(ja):  Ethernet コントローラ設定ツール

Name:         ethtool
Epoch:	      1
Version:      4.15
Release:      1%{?_dist_release}

Group:        Applications/System
License:      GPL
URL:          https://www.kernel.org/pub/software/network/ethtool/

Source:       %{name}-%{version}.tar.xz
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     shaolin, daisuke


%description
Ethtool is a small utility to get and set values from your your ethernet 
controllers.  Not all ethernet drivers support ethtool, but it is getting 
better.  If your ethernet driver doesn't support it, ask the maintainer to 
write support - it's not hard!

%description -l ja
Ethtool は ethernet コントローラの各種設定値を取得したり，
設定したりすることの出来る小さなユーティリティです．
現状では ethtool は全ての ethernet ドライバをサポートしていませんが，
徐々にサポートドライバを増やしています．
あなたの ethernet ドライバが未だサポートされていなければ，
開発者に問い合わせてみて下さい．


%prep
%setup -q


%build
%configure
make


%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall
mkdir -p %{buildroot}/usr/sbin
ln -s %{_sbindir}/ethtool %{buildroot}/usr/sbin


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_sbindir}/ethtool
/usr/sbin/ethtool
%{_mandir}/man8/ethtool.8*
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog


%changelog
* Fri Feb 23 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.15-1
- new upstream release.

* Wed Apr 10 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 1:3.8-1
- update to 3.8 (add Epoch: 1)

* Sun Apr 17 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6-2
- rebuilt with recent environment.

* Tue Aug 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 6-1
- new upstream release
- new versioning policy, spec to utf-8
- move ethtool to /sbin

* Sun Sep 16 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 5-0vl2
- rebuilt for VineSeed with new toolchain
- /usr/sbin/ethtool also installed as /sbin/ethtool as a symlink
  (see <BTS:0548>)

* Mon Sep 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 5-0vl1
- new upstream release

* Sat Jun 19 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8-0vl1
- updated to 1.8
- rebuild with new toolchains

* Thu Dec 12 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.7-0vl1
- updated to new upstream release

* Mon Sep 23 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.6-0vl1
- first package for Vine Linux
  (Vine/sparc has a package whose name is "ethtool" for SPARC HME cards...
   is this the same program in origin?)

