%define pkg_name    fcitx-skk
%define pkg_version 0.1.3
%define pkg_release 2%{?_dist_release}

Summary: An input method engine for Fcitx
Summary(ja): Fcitx のための SKK インプットメソッドエンジン
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv3
Group:   System Environment/Libraries
URL:     https://github.com/fcitx/fcitx-skk

Source0: https://github.com/fcitx/fcitx-skk/archive/%{name}-%{version}.tar.gz
Patch1: fcitx-0.1.3-skk-newChooseKeyType.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: cmake
BuildRequires: fcitx-devel
BuildRequires: libskk-devel
BuildRequires: qt4-devel
Requires: fcitx
Requires: libskk
Requires: skkdic
Requires: qt4

Vendor:       Project Vine
Distribution: Vine Linux

%description
fcitx-skk is an input method engine for Fcitx, which uses libskk as its backend.

%description -l ja
Fcitx のための SKK インプットメソッドエンジンです。

（注意点）
fcitx-skk を使用する場合には NumLock をオフにして下さい。

NumLock がオンになっていると変換候補の確定ができません。
（この場合にはテンキーで確定することしかできません）


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q
%patch1 -p1

%build
%{__cmake} .
%{__make} %{?_smp_mflags}

%install
%{make_install} PREFIX=%{_prefix}
%{__cp} -a ${RPM_BUILD_ROOT}/usr/local/share/* ${RPM_BUILD_ROOT}%{_datadir}
%{__rm} -rf ${RPM_BUILD_ROOT}/usr/local

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig

%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-, root, root)
%doc COPYING README.md
%{_libdir}/fcitx/qt/
%{_libdir}/fcitx/fcitx-skk.so
%{_datadir}/fcitx/
%{_datadir}/icons/
%{_datadir}/locale/


%changelog
* Sat Dec 23 2017 Toshiaki Ara <ara_t@384.jp> 0.1.3-2
- add Patch1 (fcitx-0.1.3-skk-newChooseKeyType.patch)
  - add new choose key typing (asdfjkl)

* Sat Dec 23 2017 Toshiaki Ara <ara_t@384.jp> 0.1.3-1
- Initial release
