%define name	irqbalance
%define version	1.3.0
%define release	1%{?_dist_release}

Summary:	Daemon to balance irq's across multiple CPUs/Cores.
Summary(ja):	複数の CPU 間で IRQ をバランスさせるためのデーモン
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:        GPLv3
Group:		System Environment/Base
URL:            http://irqbalance.github.io/irqbalance/
Source0:        https://github.com/Irqbalance/irqbalance/archive/v1.3.0.tar.gz#/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig

Patch1:         %{name}-1.0.4-env-file-path.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf automake libtool
BuildRequires:	glib2-devel pkgconfig libcap-ng-devel
BuildRequires:	ncurses-devel

Vendor:			Project Vine
Distribution:	Vine Linux

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%prep
%setup -q
%patch1 -p1

%build
./autogen.sh
%configure
CFLAGS="%{optflags}" %__make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install irqbalance $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig}
install %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/irqbalance
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/irqbalance
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install irqbalance.1 %{buildroot}%{_mandir}/man1/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add irqbalance
/sbin/service irqbalance condrestart

%preun
if [ $1 = 0 ]; then
    /sbin/service irqbalance stop > /dev/null 2>&1
    /sbin/chkconfig --del irqbalance
fi


%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%{_sbindir}/*
%{_mandir}/*/*



%changelog
* Sat Feb 24 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.3.0-1
- updated to 1.3.0.

* Mon Jan 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.8-1
- update to 1.0.8

* Fri Mar 22 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-1
- update to 1.0.5

* Tue Apr 19 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.55-3
- add missing BuildRequires: imake

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 0.55-2
- rebuilt with rpm-4.8.1-3

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.55-1vl5
- applied new versioning policy, spec in utf-8

* Sat Dec 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.55-0vl1
- update to irqbalance 0.55 from www.irqbalance.org
- add patch0 from svn trunk(rev.19)

* Fri Dec 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.13-0vl2
- update irqbalance.init
  - do not start irqbalance on non-SMP system.
  - do not "killproc" if irqbalance is not running.

* Thu Nov 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.13-0vl1
- new upstream release
- change Group to System Environment/Base
- add manpage

* Mon Jan 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.12-0vl1
- new upstream release

* Sun Aug 29 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.09-0vl1
- initial build for Vine Linux

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.09-1mdk
- 0.09

* Tue Sep 09 2003 Marcel Pol <mpol@gmx.net> 0.06-1mdk
- initial mandrake contrib
Patch2: irqbalance-norebalance-zeroints.patch
Patch3: irqbalance-classes.patch
Patch4: irqbalance-oneshot.patch
