%define pkg_name    libskk
%define pkg_version 1.0.3
%define pkg_release 1%{?_dist_release}

Summary: A library to deal with Japanese kana-to-kanji conversion method
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv3+
Group:   System Environment/Libraries
URL:     https://github.com/ueno/libskk

Source0: https://github.com/ueno/libskk/releases/download/1.0.2/%{name}-%{version}.tar.xz

# unable stick-shift using "Henkan" key
Patch1: rules_Makefile.am.patch
Patch2: rules_Makefile.in.patch
Patch3: libskk_key-event.c.patch
Patch4: test-sticky-hiragana.json.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgee-devel
BuildRequires: json-glib-devel

Vendor:       Project Vine
Distribution: Vine Linux


%description
libskk -- a library to deal with Japanese kana-to-kanji conversion method


%package devel
Summary: files for development of libskk
Group:   Development/Libraries
Requires: libskk = %{version}-%{release}

%description devel
Development tools for libskk


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%patch1
%patch2
%patch3
%patch4
%{__cp} -a tests/rules/test-sticky rules

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{make_install}
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/*.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig

%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/skk
%{_libdir}/libskk.so.*
%{_libdir}/girepository-1.0
%{_datadir}/gir-1.0/
%{_datadir}/libskk/
%{_datadir}/locale/
%{_datadir}/vala/
%{_mandir}/man1/

%files devel
%defattr(-, root, root)
%{_includedir}/libskk/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libskk.so


%changelog
* Fri Dec 15 2017 Toshiaki Ara <ara_t@384.jp> 1.0.3-1
- Initial release

