%define major_ver 1.18
%define ver %{major_ver}.2
%define rel 1

Summary:	Screensaver for MATE
Name:		mate-screensaver
Version:	%{ver}
Release:	%{rel}%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/%{major_ver}/%{name}-%{version}.tar.xz
Source1:	%{name}.pam

License:	GPLv2 and LGPLv2
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

# for Vine Linux
Patch1001:		mate-screensaver-1.12.0-accountsservice.patch

BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.17.0
BuildRequires:	mate-menus-devel
BuildRequires:	libmatekbd-devel
BuildRequires:	libnotify-devel
BuildRequires:	gtk3-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libSM-devel
BuildRequires:	libXScrnSaver-devel
BuildRequires:	libXxf86misc-devel
BuildRequires:	pam-devel
BuildRequires:	accountsservice-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	gtk2
Requires(post,postun):	desktop-file-utils
Requires: accountsservice

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim


%description
mate-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.
It is designed to support:

        * the ability to lock down configuration settings
        * translation into many languages
        * user switching


%package	devel
Summary:        Development tools for mate-screensaver
Summary(ja):    mate-screensaver の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-screensaver.


%prep
%setup -q
%patch1001 -p1 -b .vine

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static \
	--without-systemd \
	--enable-pam=yes

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/mate-screensaver

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# conflict with gnome-screensaver
%{__rm} -rf ${RPM_BUILD_ROOT}%{_datadir}/backgrounds/cosmos
%{__rm} -f ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/gnome-logo-white.svg

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
  touch --no-create %{_datadir}/icons/hicolor
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING* ChangeLog NEWS README
%{_sysconfdir}/pam.d/mate-screensaver
%{_sysconfdir}/xdg/autostart/mate-screensaver.desktop
%{_sysconfdir}/xdg/menus/mate-screensavers.menu
%{_bindir}/mate-screensaver
%{_bindir}/mate-screensaver-command
%{_bindir}/mate-screensaver-preferences
%{_libexecdir}/mate/mate-screensaver
%{_libexecdir}/mate/mate-screensaver-dialog
%{_libexecdir}/mate/mate-screensaver-gl-helper
%{_datadir}/applications/mate-screensaver-preferences.desktop
%{_datadir}/applications/screensavers/*.desktop
%{_datadir}/dbus-1/services/org.mate.ScreenSaver.service
%{_datadir}/desktop-directories/mate-screensaver.directory
%{_datadir}/glib-2.0/schemas/org.mate.screensaver.gschema.xml
%{_datadir}/mate-background-properties/cosmos.xml
%{_datadir}/%{name}
%{_datadir}/pixmaps/mate-logo-white.svg
%{_mandir}/man1/*.1.gz

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/mate-screensaver.pc


%changelog
* Thu Jan 18 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.2-1
- update to 1.18.2

* Fri May 05 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.1-1
- update to 1.18.1

* Sat Apr  8 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.0-1
- update to 1.18.0
- move to GTK3+
- drop BR: mate-doc-utils

* Sun Mar 26 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.1-1
- update to 1.16.1

* Sun Nov 27 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.0-1
- new upstream release
- update License
- update Packager

* Sun May 22 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.1-1
- new upstream release

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- add BuildRequires: accountsservice-devel
- add Patch1001 (mate-screensaver-1.12.0-accountsservice.patch)

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sun Jul 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-1
- new upstream release

* Sat Jun 13 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.1-1
- new upstream release

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release
- remove Patch1000 (mate-screensaver-1.8.0-ja.po.patch)

* Wed Nov 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- new upstream release

* Wed Apr 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-2
- add Patch1000 (mate-screensaver-1.8.0-ja.po.patch)

* Wed Apr 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-2
- rebuild with VineSeed environment

* Sun Sep 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release
- remove BuildRequires: mate-conf-devel, libmatenotify-devel
- add BuildRequires: libnotify-devel, pam-devel

* Thu Aug 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

