%define major_ver 1.18
%define ver %{major_ver}.2
%define rel 2

Summary:	The MATE Settings daemon
Name:		mate-settings-daemon
Version:	%{ver}
Release:	%{rel}%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.16/%{name}-%{version}.tar.xz
License:	GPLv2 and LGPLv2
Group:		System Environment/Daemons
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.17.0
BuildRequires:	libmatekbd-devel >= 1.17.0
BuildRequires:	libmatemixer-devel
BuildRequires:	gtk3-devel
BuildRequires:	dconf-devel
BuildRequires:	libnotify-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libxklavier-devel >= 5.2
BuildRequires:	libSM-devel
BuildRequires:	libXxf86misc-devel
BuildRequires:	polkit-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	nss-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	gtk2
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, iwaim


%description
%{summary}

%package	devel
Summary:        Development tools for mate-settings-daemon
Summary(ja):    mate-settings-daemon の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-settings-daemon.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static \
	--enable-pulse \
	--with-x \
	--with-nssdb

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
  touch --no-create %{_datadir}/icons/hicolor
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%{_sysconfdir}/xrdb/*.ad
%{_libdir}/%{name}
%{_libexecdir}/mate/mate-settings-daemon
%{_libexecdir}/mate/msd-locate-pointer
%{_libexecdir}/mate/msd-datetime-mechanism
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.a11y-keyboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.a11y-settings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.background.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.clipboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.datetime.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.housekeeping.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.keybindings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.keyboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.media-keys.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.mouse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.mpris.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.smartcard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.sound.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.typing-break.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.xrandr.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.xrdb.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.xsettings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-at.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.font-rendering.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-smartcard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-touchpad.gschema.xml
%{_datadir}/icons/*/*/*/*
%{_datadir}/%{name}
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/msd-datetime-mechanism.1.gz
%{_mandir}/man1/msd-locate-pointer.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-settings-daemon
%{_libdir}/pkgconfig/mate-settings-daemon.pc


%changelog
* Wed Apr  4 2018 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.18.2-2
- rebuilt with gtk3-3.22.10
  (fix redraw issue)

* Wed Apr  4 2018 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- rebuild (test package)

* Tue Jan 23 2018 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.2-1
- update to 1.18.2

* Tue Apr 11 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.1-1
- update to 1.18.1

* Mon Apr  3 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.18.0-1
- update to 1.18.0
- move to GTK3+
- add BuildRequires: libxklavier-devel
- drop unrecognized option: '--disable-gstreamer'

* Tue Mar 28 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.2-1
- update to 1.16.2

* Sun Mar 26 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.1-1
- update to 1.16.1

* Sun Nov 27 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 1.16.0-1
- new upstream release
- update License
- update Packager

* Sun May 08 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.0-1
- new upstream release

* Tue Dec 01 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.1-1
- new upstream release

* Sat Nov 07 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sat May 09 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.0-1
- new upstream release
- add BuildRequires: libmatemixer-devel

* Sun Mar 15 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.3-1
- new upstream release
- add BuildRequires: pulseaudio-libs-devel, libcanberra-devel
- remove BuildRequires:	gstreamer-devel, gstreamer-plugins-base-devel

* Sun May 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- new upstream release

* Tue Apr 15 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-1
- new upstream release

* Sun Sep 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release
- remove BuildRequires: mate-conf-devel, libmatenotify-devel
- add BuildRequires: libnotify-devel, dconf-devel

* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release
- add BuildRequires: gstreamer-devel,gstreamer-plugins-base-devel

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

