%define pkg_name    pandoc-crossref
%define pkg_version 0.3.0.0
%define pkg_release 1%{?_dist_release}

%define pandoc_version 2.0.6

Summary:  Library and executable for using citeproc with pandoc
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License:  BSD3
Group:    Applications/Text
URL:      http://hackage.haskell.org

Source0: %{name}-%{version}.tar.gz
Source1: packages

# num=11; for pkg in `cat packages`; do echo "Source${num}: ${pkg}.tar.gz"; num=`expr ${num} + 1`; done
Source11: base-unicode-symbols-0.2.2.4.tar.gz
Source12: colour-2.3.4.tar.gz
Source13: data-accessor-0.2.2.7.tar.gz
Source14: open-browser-0.2.1.0.tar.gz
Source15: utility-ht-0.0.14.tar.gz
Source16: roman-numerals-0.5.1.5.tar.gz
Source17: ansi-terminal-0.7.1.1.tar.gz
Source18: data-accessor-transformers-0.2.1.7.tar.gz
Source19: data-accessor-template-0.2.1.14.tar.gz
Source20: ansi-wl-pprint-0.6.8.1.tar.gz
Source21: optparse-applicative-0.14.0.0.tar.gz

# to fix wrong dependencies in cabal files
# do not use '-'
%define ansi_wl_pprint_version 0.6.8.1
Source101: ansi-wl-pprint.cabal

BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-root

BuildRequires: ghc haskell-platform
BuildRequires: libffi-devel gmp-devel zlib-devel

BuildRequires: libghc-data-default-class
BuildRequires: libghc-dlist
BuildRequires: libghc-data-default
BuildRequires: libghc-aeson
BuildRequires: libghc-http-client-tls
BuildRequires: yaml
BuildRequires: libghc-build-pandoc
BuildRequires: pandoc-libs = %{pandoc_version}

BuildRequires: docbook-utils docbook-utils-pdf docbook-style-xsl

Requires: pandoc = %{pandoc_version}

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
pandoc-crossref is a pandoc filter for numbering figures, equations, tables
 and cross-references to them. Input file (like demo.md) can be converted into
 html, latex, pdf, md or other formats.
Optionally, you can use cleveref for latex/pdf output,
 e.g. cleveref pdf, cleveref latex, and listings package,
 e.g. listings pdf, listings latex.

You can also enable per-chapter numbering (as with --chapters for latex output).
You need to specify -M chapters for non-latex/pdf output however.
 Examples: html, markdown, latex, pdf.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__rm} -rf %{_builddir}/package.conf
%{__rm} -rf ${HOME}/.ghc
%setup -q

%build
# Initialise the package db
ghc-pkg init %{_builddir}/package.conf

# install dependent packages
cd %{_builddir}
for pkg in `cat %{_sourcedir}/packages`; do
  %{__tar} xzf %{_sourcedir}/${pkg}.tar.gz
  cd ${pkg}
    # fix wrong dependencies
    case ${pkg} in
        "ansi-wl-pprint-%{ansi_wl_pprint_version}") \
            %{__cp} %{SOURCE101} . ;;
        *) ;;
    esac

  cabal configure
  cabal build
  cabal copy
  cabal register --inplace
  cd ..
done

# build pandoc-crossref
cd %{name}-%{version}
cabal configure \
      --prefix=%{_prefix} \
      --libdir=%{_libdir}/%{name}-%{version} \
      --libsubdir= \
      --datadir=%{_datadir}/%{name}-%{version} \
      --datasubdir= \
      --docdir=%{_docdir}/%{name}-%{version}

cabal build
cabal haddock || :
cabal copy --destdir=${RPM_BUILD_ROOT}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}%{_libdir}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%{_bindir}/pandoc-crossref
%{_datadir}/%{name}-%{version}/
%{_docdir}/%{name}-%{version}/


%changelog
* Tue Jan 09 2018 Toshiaki Ara <ara_t@384.jp> 0.3.0.0-1
- update to 0.3.0.0
- build using ghc-8.2.2

* Tue Feb 21 2017 Toshiaki Ara <ara_t@384.jp> 0.2.4.2-2
- rebuild using ghc-8.0.2

* Thu Feb 02 2017 Toshiaki Ara <ara_t@384.jp> 0.2.4.2-1
- update to 0.2.4.2
- rebuild using ghc-8.0.1

* Sun Jun 19 2016 Toshiaki Ara <ara_t@384.jp> 0.2.1.3-2
- rebuild under pandoc-1.17.1

* Sun Jun 05 2016 Toshiaki Ara <ara_t@384.jp> 0.2.1.3-1
- update to 0.2.1.3

* Fri May 06 2016 Toshiaki Ara <ara_t@384.jp> 0.2.1.1-1
- new package (devide from pandoc)

