%define apiver 1.4
%define _unpackaged_files_terminate_build 1

Name:           pangomm
Version:        2.40.1
Release:        1%{?_dist_release}
Summary:        C++ interface for Pango
Summary(ja):    Pango の C++ インターフェース

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/pangomm/2.40/%{name}-%{version}.tar.xz
Patch0:         pangomm-2.14.0-devhelp.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glibmm-devel >= 2.14.1
BuildRequires:  cairomm-devel >= 1.2.2
BuildRequires:  pango-devel >= 1.23.0
#BuildRequires:  doxygen graphviz

Obsoletes:      gtkmm2 < 2.13.5

Vendor: Project Vine
Distribution: Vine Linux


%description
pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package devel
Summary:        Headers for developing programs that will use %{name}
Summary(ja):     %{name} を使用するプログラムを開発するためのファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm-devel >= 2.14.1
Requires:       cairomm-devel >= 1.2.2
Requires:       pango-devel >= 1.23.0
Requires:       pkgconfig gtk-doc
Obsoletes:      gtkmm2-devel < 2.13.5

%description devel
This package contains the libraries and header files needed for
developing pangomm applications.


%prep
%setup -q
#patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
make install DESTDIR=$RPM_BUILD_ROOT

#rm -rf $RPM_BUILD_ROOT%{_libdir}/pangomm-%{apiver}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc and fix
# relative paths.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/pangomm-%{apiver}
mv $RPM_BUILD_ROOT%{_docdir}/pangomm-%{apiver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/pangomm-%{apiver}/
rm -r ${RPM_BUILD_ROOT}%{_docdir}/pangomm-%{apiver}

# Fix devhelp relative path
sed -i 's:doc/pangomm-%{apiver}:gtk-doc/html/pangomm-%{apiver}:g' $RPM_BUILD_ROOT%{_datadir}/devhelp/books/pangomm-%{apiver}/pangomm-%{apiver}.devhelp2

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/pangomm-%{apiver}
%{_libdir}/*.so
%{_libdir}/pangomm-%{apiver}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/pangomm-%{apiver}
%{_datadir}/devhelp/books/pangomm-%{apiver}

%changelog
* Sun Jan 07 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.40.1-1
- new upstream release.

* Fri Jul 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.40.0-1
- new upstream release

* Wed Jun 29 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.38.1-2
- rebuild with gcc-5.4.0

* Sat Oct 31 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.38.1-1
- new usptream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.36.0-1
- new usptream release

* Sun Feb 08 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.34.0-2
- rebuild with VineSeed environment

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.34.0-1
- new upstream release

* Thu Nov 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.28.4-1
- new upstream release

* Thu Oct 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.28.3-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.28.2-1
- new upstream release

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> - 2.26.2-2
- build with rpm-4.8.1-1 for pkg-config file

* Sun Jul 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.26.2-1
- new upstream release

* Thu Apr 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.26.1-1
- new upstream release

* Sun Sep 27 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.26.0-1
- new upstream release

* Fri Mar 20 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.24.0-1
- new upstream release
- dropped Patch0

* Sat Oct  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.14.0-1
- Initial build for Vine Linux
- added Patch0 for documentation path fix

* Fri Aug 29 2008 Denis Leroy <denis@poolshark.org> - 2.13.7-3
- Obsoletes older gtkmm to avoid libpangomm conflict 

* Wed Aug 27 2008 Denis Leroy <denis@poolshark.org> - 2.13.7-2
- Spec review fixes

* Mon Aug 25 2008 Denis Leroy <denis@poolshark.org> - 2.13.7-1
- First version
