#%define build_mysql %{?_with_mysql:1}%{!?_with_mysql:0}
#%define build_pgsql %{?_with_pgsql:1}%{!?_with_pgsql:0}

%define _unpackaged_files_terminate_build 1

%define build_mysql 1
%define build_pgsql 1

%define _sysconfdir   /etc
%define _data_dir     %{_var}/lib/postfix

# postfix user/group
# changed since 2.9.4-3
%define postfix_uid     89
%define postfix_user    postfix
%define postfix_gid     89
%define postfix_group   postfix
%define maildrop_group  postdrop
%define maildrop_gid    90

# install dirs
%define postfix_config_dir      %{_sysconfdir}/postfix
%define postfix_shlib_dir       %{_libdir}/postfix
%define postfix_daemon_dir      %{_libdir}/postfix
%define postfix_command_dir     %{_sbindir}
%define postfix_queue_dir       %{_var}/spool/postfix
%define postfix_data_dir        %{_var}/lib/postfix
%define postfix_doc_dir         %{_docdir}/%{name}-%{version}
%define postfix_sample_dir      %{postfix_doc_dir}/samples
%define postfix_readme_dir      %{postfix_doc_dir}/README_FILES


%define origversion 3.2.4

Summary:   Postfix Mail Transport Agent
Summary(ja):   Postfix メールトランスポートエージェント
Name:      postfix
Version:   %{origversion}
Release:   2%{?_dist_release}
URL:       http://www.postfix.org/
License:   Distributable - IBM PUBLIC LICENSE VERSION 1.0 - SECURE MAILER
Group:     System Environment/Daemons

Source0:   ftp://postfix.cloud9.net/official/%{name}-%{version}.tar.gz
Source1:   postfix.aliases
Source2:   postfix.cron
Source3:   postfix.init

Patch0:    postfix-2.9.1-vine.patch

# patches 200-299 are imported from rh/fedora
Patch200: postfix-3.0.0-large-fs.patch

Provides:  smtpdaemon
Conflicts: sendmail

BuildRequires: pam-devel
BuildRequires: cyrus-sasl-devel >= 2
BuildRequires: openldap-devel, openssl-devel
BuildRequires: libicu-devel, pcre-devel

%if "%{_dist_release}" >= "vl7"
BuildRequires: libdb-devel >= 5.3
Requires(post): libdb
%else
BuildRequires: db4-devel >= 4.6.21
Requires(post): db4
%endif

%if %build_mysql
%if "%{_dist_release}" >= "vl7"
BuildRequires: libmysqlclient-devel
%else
BuildRequires: MySQL-devel
%endif
%endif

%if %build_pgsql
%if "%{_dist_release}" >= "vl7"
BuildRequires: libpq-devel
%else
BuildRequires: postgresql-devel
%endif
%endif

BuildRequires: sqlite3-devel

Requires(pre):    chkconfig
Requires:    cyrus-sasl >= 2, cyrus-sasl-md5, cyrus-sasl-plain 
Requires:    pam
Obsoletes: postfix-beta
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke


%description
Postfix aims to be an alternative to the widely-used sendmail
program.  Sendmail is responsible for 70 percent of all e-mail delivered
on the Internet.  With an estimated 100 million users, that's an
estimated 10 billion (10^10) messages daily. A stunning number.

Although IBM supported the Postfix development, it abstains from
control over its evolution. The goal is to have Postfix installed
on as many systems as possible. To this end, the software is given
away with no strings attached to it, so that it can evolve with
input from and under control by its users.

#'
%description -l ja
Postfix は現在広く使われている sendmail を置き換える目的で
開発されています。sendmail は約 70% の E-mail サーバで使用
されています。また、その使用者は 100万人にもおよび、およそ
一日 1 千万通ものメールを処理しています。

Postfix の開発は IBM によってサポートされており、全世界の
全てのシステムを postfix にすることを目標としています。

%package sqlite
Summary: SQLite3 map support for Postfix
Group:     System Environment/Daemons
Requires(pre): postfix = %{version}-%{release}
%description sqlite
This package contains shared lib module which support
SQLite map on Postfix.
%description -l ja sqlite
このパッケージには、Postfix で SQLite map を使うのに
必要なライブラリが納められています。

%if %build_pgsql
%package pgsql
Summary: PGSQL map support for Postfix
Group:     System Environment/Daemons
Requires(pre): postfix = %{version}-%{release}
%description pgsql
This package contains shared lib module which support
PostgreSQL map on Postfix.
%description -l ja pgsql
このパッケージには、Postfix で PostgreSQL を使うのに必要な
ライブラリが納められています。
%endif

%if %build_mysql
%package mysql
Summary: MySQL map support for Postfix
Group:     System Environment/Daemons
Requires(pre): postfix = %{version}-%{release}
%description mysql
This package contains shared lib module which support
MySQL map on Postfix.
%description -l ja mysql
このパッケージには、Postfix で MySQL を使うのに必要な
ライブラリが納められています。
%endif

%package ldap
Summary: LDAP map support for Postfix
Group:     System Environment/Daemons
Requires(pre): postfix = %{version}-%{release}
%description ldap
This package contains shared lib module which support
OpenLDAP map on Postfix.
%description -l ja ldap
このパッケージには、Postfix で OpenLDAP を使うのに必要な
ライブラリが納められています。

%package pcre
Summary: PCRE map support for Postfix
Group:     System Environment/Daemons
Requires(pre): postfix = %{version}-%{release}
%description pcre
This package contains shared lib module which support
PCRE map on Postfix.
%description -l ja pcre
このパッケージには、Postfix で PCRE マップを使うのに必要な
ライブラリが納められています。

%prep
# japanese documant for 2.4.x is not ready.
# %setup -q -a 10 -a 20 -a 30 -a 40
%setup -q 

%patch0 -p1 -b .vine

%ifarch x86_64
sed -i -e 's|/usr/lib/postfix|/usr/lib64/postfix|g' conf/main.cf
%endif

%patch200 -p1 -b .large-fs

# Change DEF_SHLIB_DIR according to build host
sed -i \
's|^\(\s*#define\s\+DEF_SHLIB_DIR\s\+\)"/usr/lib/postfix"|\1"%{_libdir}/postfix" |' \
src/global/mail_params.h

%build

unset AUXLIBS_MYSQL AUXLIBS_PGSQL

CCARGS="-DMAX_DYNAMIC_MAPS \
		-DUSE_SASL_AUTH -I/usr/include/sasl \
		-DUSE_CYRUS_SASL \
	-DHAS_LDAP \
		-DLDAP_DEPRECATED=1 -DUSE_LDAP_SASL \
	-DHAS_SSL -I/usr/include/openssl \
		-DHAS_PCRE -I/usr/include/pcre \
	-DHAS_SQLITE \
		`pkg-config --cflags sqlite3` \
	-DUSE_TLS"

AUXLIBS="-lsasl2 -lssl -lcrypto"

AUXLIBS_LDAP="-lldap -llber"
AUXLIBS_PCRE="-lpcre"
AUXLIBS_SQLITE="`pkg-config --libs sqlite3`"

%if %build_mysql
CCARGS="${CCARGS} -DHAS_MYSQL -I/usr/include/mysql"
AUXLIBS_MYSQL="-L%{_libdir}/mysql -lmysqlclient -lm"
%endif
%if %build_pgsql
CCARGS="${CCARGS} -DHAS_PGSQL -I/usr/include/pgsql"
AUXLIBS_PGSQL="-lpq"
%endif

make -f Makefile.init makefiles \
	shared=yes dynamicmaps=yes \
	CCARGS="${CCARGS}" \
	AUXLIBS="${AUXLIBS}" \
	AUXLIBS_LDAP="${AUXLIBS_LDAP}" AUXLIBS_PCRE="${AUXLIBS_PCRE}" \
	AUXLIBS_MYSQL="${AUXLIBS_MYSQL}" AUXLIBS_PGSQL="${AUXLIBS_PGSQL}" \
	AUXLIBS_SQLITE="${AUXLIBS_SQLITE}" \
	SHLIB_RPATH="-Wl,-rpath,%{postfix_shlib_dir}" \
	OPT="$RPM_OPT_FLAGS" DEBUG=""

# make %{?_smp_mflags} DEBUG="" OPT="$RPM_OPT_FLAGS" \
#      LD_LIBRARY_PATH=$(pwd)/lib:${LD_LIBRARY_PATH}

# using _smp_mflags makes build error. why? (2008.10.11)
#make DEBUG="" OPT="$RPM_OPT_FLAGS" \
#     LD_LIBRARY_PATH=$(pwd)/lib:${LD_LIBRARY_PATH} CDBSO=""

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
rm -f html/Makefile.in
rm -f README_FILES/*.*

install -d $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -d $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_libdir}/postfix
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,5,8}
install -d $RPM_BUILD_ROOT%{_mandir}/ja/man{1,5,8}
install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_var}/spool/postfix
install -d $RPM_BUILD_ROOT%{_var}/spool/postfix/{active,corrupt,deferred,incoming,pid,public}
install -d $RPM_BUILD_ROOT%{_var}/spool/postfix/{bounce,defer,flush,maildrop,private,saved}

LD_LIBRARY_PATH=./lib \
sh postfix-install -non-interactive \
  install_root=$RPM_BUILD_ROOT \
  config_directory=%{postfix_config_dir} \
  meta_directory=%{postfix_config_dir} \
  shlib_directory=%{postfix_shlib_dir} \
  daemon_directory=%{postfix_daemon_dir} \
  command_directory=%{postfix_command_dir} \
  queue_directory=%{postfix_queue_dir} \
  data_directory=%{postfix_data_dir} \
  sendmail_path=%{postfix_command_dir}/sendmail \
  newaliases_path=%{_bindir}/newaliases \
  mailq_path=%{_bindir}/mailq \
  mail_owner=%{postfix_user} \
  setgid_group=%{maildrop_group} \
  manpage_directory=%{_mandir} \
  sample_directory=%{postfix_sample_dir} \
  readme_directory=%{postfix_readme_dir} || exit 1

install -m644 conf/postfix-files $RPM_BUILD_ROOT%{_sysconfdir}/postfix
for i in post-install postfix-script
do
  install -m755 conf/$i $RPM_BUILD_ROOT%{_sysconfdir}/postfix
done

# install performance benchmark tools by hand
for i in smtp-sink smtp-source qmqp-sink qmqp-source; do
  install -c -m 755 bin/$i $RPM_BUILD_ROOT%{postfix_command_dir}/
  install -c -m 755 man/man1/$i.1 $RPM_BUILD_ROOT%{_mandir}/man1/
done

install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/postfix/aliases
install -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/postfix
install -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/postfix

ln -sf postfix/aliases $RPM_BUILD_ROOT%{_sysconfdir}/aliases
ln -sf postfix/aliases.db $RPM_BUILD_ROOT%{_sysconfdir}/aliases.db

# helper for splitting content of dynamicmaps.cf and postfix-files
function split_file
{
# "|| :" to silently skip non existent records
  grep "$1" "$3" >> "$3.d/$2" || :
  sed -i "\|$1| d" "$3" || :
}

# split global dynamic maps configuration to individual sub-packages
pushd $RPM_BUILD_ROOT%{postfix_config_dir}
for map in sqlite ldap pcre \
%{?build_mysql:mysql} %{?build_pgsql:pgsql}; do
  rm -f dynamicmaps.cf.d/"$map" "postfix-files.d/$map"
  split_file "^\s*$map\b" "$map" dynamicmaps.cf
  sed -i "s|postfix-$map\\.so|%{postfix_shlib_dir}/\\0|" "dynamicmaps.cf.d/$map"

  split_file "^\$shlib_directory/postfix-$map\\.so:" "$map" postfix-files
  split_file "^\$manpage_directory/man5/${map}_table\\.5" "$map" postfix-files
  map_upper=`echo $map | tr '[:lower:]' '[:upper:]'`
  split_file "^\$readme_directory/${map_upper}_README:" "$map" postfix-files
done
popd

#( cd $RPM_BUILD_ROOT%{_bindir}
#  ln -sf ../sbin/sendmail mailq
#  ln -sf ../sbin/sendmail newaliases
#)
( cd $RPM_BUILD_ROOT%{_libdir}
  ln -sf ../sbin/sendmail sendmail
)

# data dir
install -d $RPM_BUILD_ROOT%{_data_dir}

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{postfix_config_dir}/{TLS_,}LICENSE
rm -f $RPM_BUILD_ROOT%{postfix_config_dir}/{main,master}.cf.proto
rm -f $RPM_BUILD_ROOT%{postfix_config_dir}/makedefs.out

%pre
# Add user and groups if necessary
%{_sbindir}/groupadd -g %{maildrop_gid} -r %{maildrop_group} 2>/dev/null
%{_sbindir}/groupadd -g %{postfix_gid} -r %{postfix_group} 2>/dev/null
%{_sbindir}/groupadd -g 12 -r mail 2>/dev/null
%{_sbindir}/useradd -d %{postfix_queue_dir} -s /sbin/nologin -g %{postfix_group} -G mail -M -r -u %{postfix_uid} %{postfix_user} 2>/dev/null
exit 0


%post
/sbin/ldconfig
# upgrade configuration files if necessary
%{_sbindir}/postfix set-permissions upgrade-configuration \
  daemon_directory=%{postfix_daemon_dir} \
  command_directory=%{postfix_command_dir} \
  mail_owner=%{postfix_user} \
  setgid_group=%{maildrop_group} \
  manpage_directory=%{_mandir} \
  sample_directory=%{postfix_sample_dir} \
  readme_directory=%{postfix_readme_dir} &> /dev/null

/sbin/chkconfig --add postfix
if [ ! -f %{_sysconfdir}/postfix/aliases.db ]; then
  %{_sbindir}/postalias %{_sysconfdir}/postfix/aliases
fi
%{_sbindir}/postalias %{_sysconfdir}/postfix/aliases ||:
if [ ! -e %{_libdir}/sendmail ]; then
	ln -sf %{_sbindir}/sendmail %{_libdir}/sendmail
fi
/sbin/chkconfig --del sendmail &> /dev/null ||:
%{_sbindir}/postfix check >/dev/null 2>&1 ||:


%preun
if [ $1 -eq 0 ]; then
   if [ -f %{_var}/lock/subsys/postfix -a -f %{_sysconfdir}/rc.d/init.d/postfix ]; then
      %{_sysconfdir}/rc.d/init.d/postfix stop
   fi
   /sbin/chkconfig --del postfix
fi


%postun
/sbin/ldconfig
if [ -f %{_var}/lock/subsys/postfix ]; then
   if [ $1 -eq 0 ]; then
        rm -rf %{_var}/lock/subsys/postfix
   else
        %{_sysconfdir}/rc.d/init.d/postfix restart
   fi
fi

%triggerpostun -- postfix < 3.1.0
if [ -f %{_var}/lock/subsys/postfix ]; then
   if [ $2 -gt 0 ]; then
        %{_sysconfdir}/rc.d/init.d/postfix restart
   fi
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COMPATIBILITY COPYRIGHT HISTORY TLS_LICENSE LICENSE INSTALL PORTING RELEASE_NOTES
# japanese documant for 2.4.x is not ready.
# %doc conf.ja
# %doc html html.ja
# %doc README_FILES README_FILES.ja
%doc README_FILES
# %doc man-%{jmanversion}/readme_ja.txt
%{_sysconfdir}/aliases
%{_sysconfdir}/aliases.db
%config %{_sysconfdir}/cron.daily/postfix
%dir %{_sysconfdir}/postfix
%config %{_sysconfdir}/postfix/main.cf.default
%config %{_sysconfdir}/postfix/master.cf
%config %{_sysconfdir}/postfix/bounce.cf.default
%dir %{_sysconfdir}/postfix/dynamicmaps.cf.d
%dir %{_sysconfdir}/postfix/postfix-files.d
%config(noreplace) %{_sysconfdir}/postfix/aliases
%config(noreplace) %{_sysconfdir}/postfix/access
%config(noreplace) %{_sysconfdir}/postfix/canonical
%config(noreplace) %{_sysconfdir}/postfix/generic
%config(noreplace) %{_sysconfdir}/postfix/header_checks
%config(noreplace) %{_sysconfdir}/postfix/main.cf
%config(noreplace) %{_sysconfdir}/postfix/relocated
%config(noreplace) %{_sysconfdir}/postfix/transport
%config(noreplace) %{_sysconfdir}/postfix/virtual
%config(noreplace) %{_sysconfdir}/postfix/dynamicmaps.cf
%config %{_sysconfdir}/postfix/postfix-files
%config %{_sysconfdir}/postfix/post-install
%config %{_sysconfdir}/postfix/postfix-script
%config %{_sysconfdir}/rc.d/init.d/postfix
%{_bindir}/*
%dir %{_libdir}/postfix
%{_libdir}/postfix/*

%if %{build_pgsql}
%exclude %{_libdir}/postfix/postfix-pgsql.so
%endif
%if %{build_mysql}
%exclude %{_libdir}/postfix/postfix-mysql.so
%endif

%exclude %{_libdir}/postfix/postfix-sqlite.so
%exclude %{_libdir}/postfix/postfix-ldap.so
%exclude %{_libdir}/postfix/postfix-pcre.so
%exclude %{_sysconfdir}/postfix/dynamicmaps.cf.d/*
%exclude %{_sysconfdir}/postfix/postfix-files.d/*
%{_sbindir}/postalias
%{_sbindir}/postcat
%{_sbindir}/postconf
%attr(2755,root,postdrop) %{_sbindir}/postdrop
%{_sbindir}/postfix
%{_sbindir}/postkick
%{_sbindir}/postlock
%{_sbindir}/postlog
%{_sbindir}/postmap
%{_sbindir}/postmulti
%attr(2755,root,postdrop) %{_sbindir}/postqueue
%{_sbindir}/postsuper
%{_sbindir}/qmqp-sink
%{_sbindir}/qmqp-source
%{_sbindir}/sendmail
%{_sbindir}/smtp-sink
%{_sbindir}/smtp-source
%attr(-,root,man) %{_mandir}/man*/*
# %attr(-,root,man) %{_mandir}/ja/man*/*
%dir %{_var}/spool/postfix
%attr(0750,postfix,root) %dir %{_data_dir}
%attr(1733,postfix,postdrop) %dir %{_var}/spool/postfix/maildrop
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/active
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/corrupt
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/deferred
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/incoming
%attr(0755,root,root) %dir %{_var}/spool/postfix/pid
%attr(0710,postfix,postdrop) %dir %{_var}/spool/postfix/public
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/bounce
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/defer
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/flush
%attr(0710,postfix,postfix) %dir %{_var}/spool/postfix/private
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/saved
%{_libdir}/sendmail

%files sqlite
%defattr(-,root,root)
%{_libdir}/postfix/postfix-sqlite.so
%{_sysconfdir}/postfix/dynamicmaps.cf.d/sqlite
%{_sysconfdir}/postfix/postfix-files.d/sqlite

%if %build_pgsql
%files pgsql
%defattr(-,root,root)
%{_libdir}/postfix/postfix-pgsql.so
%{_sysconfdir}/postfix/dynamicmaps.cf.d/pgsql
%{_sysconfdir}/postfix/postfix-files.d/pgsql
%endif

%if %build_mysql
%files mysql
%defattr(-,root,root)
%{_libdir}/postfix/postfix-mysql.so
%{_sysconfdir}/postfix/dynamicmaps.cf.d/mysql
%{_sysconfdir}/postfix/postfix-files.d/mysql
%endif

%files ldap
%defattr(-,root,root)
%{_libdir}/postfix/postfix-ldap.so
%{_sysconfdir}/postfix/dynamicmaps.cf.d/ldap
%{_sysconfdir}/postfix/postfix-files.d/ldap

%files pcre
%defattr(-,root,root)
%{_libdir}/postfix/postfix-pcre.so
%{_sysconfdir}/postfix/dynamicmaps.cf.d/pcre
%{_sysconfdir}/postfix/postfix-files.d/pcre

%changelog
* Mon Jan 08 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.2.4-2
- rebuilt with libicu-60.2.

* Fri Dec 22 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.2.4-1
- new upstream release.

* Sun May 22 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.1.1-1
- new upstream release.

* Sun May  8 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.1.0-1
- new upstream release.

* Mon Mar 14 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.4-1
- new upstream release.

* Thu Mar 10 2016 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.0.3-4
- rebuilt with openssl 1.0.2g

* Thu Nov 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.3-3
- rebuild with icu-56.1

* Mon Nov  2 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.3-2
- fixed dependency.

* Sun Nov  1 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.0.3-1
- new upstream release.
- updated patch200.
- dropped patch100 and 101.

* Sat Sep  5 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.11.6-1
- new upstream release.

* Sun Jul 20 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 2.11.1-2
- fix BR/R for current environment

* Sun Jun 15 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 2.11.1-1
- update to 2.11.1
- build with libpq-devel and libmysqlclient-devel (vl7)

* Sat Jan 18 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.10.3-1
- new upstream release.

* Mon Oct 28 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.2-1
- update to 2.10.2

* Sun Dec 09 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9.4-3
- add -DHAS_DLOPEN to CCARGS instead of patch102.
- use postfix-install in %%install (to prepare main.cf)
- change postfix uid/gid to fixed id. (89 for postfix, 90 for postdrop)
- run postalias on %%post

* Fri Nov 30 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.9.4-2
- added patch102.

* Sun Nov 25 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9.4-1
- update to 2.9.4
- update dynamicmaps patches
- add sqite3 map support, add postfix-sqlite subpackage.
- drop unneeded patches

* Wed Oct 24 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.12-1
- update to 2.8.12
- rebuild with pcre-8.31

* Tue May 01 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.10-1
- update to 2.8.10

* Sun Mar 04 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.9-1
- update to 2.8.9

* Thu May 12 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.3-1
- update to 2.8.3

* Wed Apr 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.2-1
- update to 2.8.2
- update dynamicmaps patch

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 2.6.8-5
- rebuilt with postgresql-9.0.3

* Sun Jan  9 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.6.8-4
- rebuilt with openssl 1.0.0c
- fix changelog typo..

* Wed Dec 01 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.8-3
- new upstream release.
- updated %%patch100 and %%patch210.

* Sat Feb 20 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.5-2
- removed MySQL-shared from "Requires:" and "BuildRequires:".
- replaced "Prereq:" with "Requires(pre):".
- replaced "BuildPrereq:" with "BuildRequires:".

* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.5-1
- new upstream release
- rebuild with db4-4.8.0

* Sun Aug 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.3-2
- change /var/spool/postfix/pid owner and permission
  (0700,postfix,postfix -> 0755,root,root)

* Mon Aug  3 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.6.3-1
- new upstream release

* Sat Jun  6 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.2-1
- new upstream release.

* Sat May 30 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.1-2
- added a missing file.

* Sat May 30 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.1-1
- new upstream release.
- updated dynamicmaps patch.

* Fri May 22 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.5.7-2
- made to build -mysql and -pgsql as default.
- rebuilt with MySQL-5.1.34.

* Wed May 13 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.7-1
- new upstream release
- update Patch200 from fc10

* Sun Mar 01 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.5.6-2
- rebuilt with openldap-2.4.11

* Mon Jan 12 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.6-1
- new upstream release

* Sun Oct 12 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.5-4
- add patch200/patch210 from fedora

* Sun Oct 12 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.5-3
- add Requires cyrus-sasl-md5, cyrus-sasl-plain for smtp auth
- add Japanese description into sub packages

* Sat Oct 11 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.5-2
- update patch100/101 to fix libxsasl build issue
- remove smp flag in build section to solve build error
- add _data_dir

* Fri Oct 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.5-1
- new upstream release
- update patch100/101 to fit 2.5.5 (from suse)
- add %exclude dict_{my,pg}sql.so to %%files to avoid unneeded dependancy
  when option "--with XXsql" is specified. (from Vine 4.x update package)
- remove HAS_DLOPEN macro.

* Sat Sep 06 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.9-1
- new upstream release with security fix

* Sat Aug 30 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.8-2
- add %%if %%build_mysql and %%if %%mysql from BuildRequires section again
- remove unnessary dependency

* Thu Aug 28 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.8-1
- new upstream release with security fix

* Mon Aug 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.7-4
- spec in UTF-8

* Fri Jun 20 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.4.7-3
- rebuilt against db4-4.6.21

* Tue Apr 15 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.4.7-2
- add HAS_DLOPEN macro.
- add USE_CYRUS_SASL macro.
- modify dynamicmaps.cf (/usr/lib -> %%{_libdir}).

* Tue Mar 25 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.7-1
- new upstream release
- update patch100 (it is based from mdk 2008.0)
- add smp_mflags in make section
- build under new versioning policy

* Thu Sep 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.10-0vl10
- rebuilt with postgresql-devel 8.2.5
- updated Source20, 30 and 40

* Fri May 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.10-0vl9
- rebuild with new openssl

* Wed May 09 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.10-0vl8
- rebuilt with new toolchain and db4-4.3.x

* Fri Apr 13 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.2.10-0vl7
- <BTS:493> fix typo in %%if statement for %%files mysql section.
- remove %%if %%build_mysql and %%if %%mysql from BuildRequires section,
  (Patch100 always builds dict_mysql.o and dict_pgsql.o)

* Fri Oct 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.10-0vl6
- disable MySQL, PostgreSQL support by default.
  use "--with {mysql|pgsql}" to build them.

* Mon Sep 18 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.2.10-0vl5
- add lib64 patch to correct daemon_directory on x86_64 architecture

* Wed Sep 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.10-0vl4
- remove duplicated entry from aliases. (<BTS:170>)

* Wed Sep 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.10-0vl3
- add some pseudo accounts to aliases. (<BTS:170>)
- add BuildPreReq: MySQL-shared

* Sun Aug 27 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.2.10-0vl2
- rebuilt with openldap-2.3.27-0vl1

* Sun Apr 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.10-0vl1
- new upstream release

* Thu Jan 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.8-0vl1
- new upstream release

* Fri Sep 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.5-0vl1
- new upstream release
  - update to 2.2.5
- update dynamicmaps from debian package
- update Japaese manpages and jconf
- add jhtml and jreadme
- enable TLS/SSL

* Mon Jan 31 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release
- update all patches
- link sasl2 instead of sasl1

* Mon Jan 24 2005 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.0.20-0vl6
- enable cyrus-sasl.
- add TLS/IPv6 patch.
- modify main.cf to disable IPv6 as default.

* Thu Oct 28 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.20-0vl5
- add PreReq: db4 >= 4.2.52
  (to avoid errors when upgrading from db40-linked version)

* Mon Oct 11 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.20-0vl4
- rebuilt with db4-4.2.52

* Tue Jun  8 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.20-0vl3
- fix first installation time bugs...
  - remove aliases.db from %%files again
  - add 'touch aliases.db' in %%post script
- update default main.cf to use /etc/postfix/aliases as default alias_database

* Mon Jun  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.20-0vl2
- add /etc/postfix/aliases.db to %%files

* Sat May  8 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.20-0vl1
- new upstream release

* Tue Apr 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.19-0vl1
- new upstream release
- build with new postgresql

* Fri Sep 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.16-0vl1
- new upstream release
- update jconf/jman/jhtml

* Fri Jul  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.13-0vl1
- new upstream release
- update jman/jhtml/jreadme

* Mon Jun 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.12-0vl1
- new upstream release
- update jconf/jman/jhtml/jreadme

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.10-0vl1
- new upstream release

* Fri May 23 2003 Satoshi MACHINO <machino@vinelinux.org> 2.0.9-0vl5
- rebuild by new cyrus-sasl(2.1.13-3vl1)

* Sat Apr 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-0vl4
- add more BuildPreReq, Requires
- fix some typo
- add missing files to %%files.

* Sat Apr 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-0vl3
- rebuild

* Sat Apr 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-0vl2
- add debian's dynamic map patch.
  some additional feature is divided to sub package.
  - postfix-ldap, postfix-mysql, postfix-pgsql, postfix-pcre
- split common postfix libraries as shared libs.
  - libpostfix-{master,global,util,dns}.so.1
- use cyrus-sasl for SMTP-AUTH

* Wed Apr 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-0vl1
- new upstream release 2.0.9
- update jman/jhtml/jconf to 2.0.8

* Wed Apr  9 2003 IWAI Masaharu <iwai@alib.jp> 2.0.7-0vl1
- new upstream version
- update documents
    - jman (source4)
    - jconf (Source5)
    - faq.html (Source6)
    - INSTALL.jp (Source7)
    - jhtml (Source12)

* Sun Jan 19 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.12-0vl3
- rebuilt against db4

* Wed Dec 18 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.12-0vl2
- rebuild to remove unnecessary dependancy.

* Sat Nov 23 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.12-0vl1
- new upstream version
- modified /etc/init.d/postfix

* Sun Oct 06 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.11-0vl3
- fixed brainless mistakes...
  update main.cf again.

* Thu Oct 03 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.11-0vl2
- update main.cf patch
  - do not use procmail for local mailer.
  - do not show version and OS name for smtpd greeting banner.

* Tue Jun 04 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.11-0vl1
- new upstream release
- update jman, jconf, jhtml

* Tue May 28 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.1.10-0vl2
- updated main.cf patch ( Patch0 )
    undefine myhostname

* Fri May 24 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.1.10-0vl1
- changed %%{_var}/spool/postfix/private directory permission (0700 -> 0710)
    Thanks Mr. Daisuke SUZUKI ([VineSeed:06454])

* Thu May 23 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.1.10-0vl0
- upstream release
- updated japanese documents Source4-9
    ( and the unofficial Japanese Web Site moved. )
- added japanese documents  Source10-12
- updated main.cf patch ( Patch0 )
- added postdrop group
- added some directories in %%{_var}/spool/postfix/
    active, corrupt, deferred, incoming, pid, public, bounce, 
    defer,flush,private and saved directories

* Mon Feb 18 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.0.20010228pl08-0vl3
- not stop in %%pre
- not start but restart in %%post

* Mon Dec 31 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.0.20010228pl08-0vl2
- added BuildPreReq: db3-devel

* Sat Nov 24 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl08-0vl1
- updated to 20010228-pl08

* Fri Nov  9 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl06-0vl1
- updated to 20010228-pl06

* Sun Sep 23 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl05-0vl1
- updated to 20010228-pl05

* Wed Aug  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl04-0vl1
- updated to 20010228-pl04

* Wed Jun 27 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl03-0vl2
- update Japanese documents and manpages

* Sun May 27 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl03-0vl1
- updated to 20010228-pl03

* Mon May 21 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.0.20010228pl02-0vl3
- modified %%preun script again
  (to check whether %%{_sysconfidir}/rc.d/init.d/postfix already exists)

* Wed May 02 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.0.20010228pl02-0vl2
- fixed incorrect %%preun script :-P

* Tue May  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl02-0vl1
- updated to 20010228-pl02

* Wed Apr 11 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl01-0vl4
- add {pcre,regexp}_table to %files
- don't replace config files
- start postfix after install/upgrade

* Mon Apr 09 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl01-0vl2
- updated jman pages and translations.
- added japanese sample config files.

* Sat Mar 31 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl01-0vl1
- updated to 20010228-pl01

* Thu Mar  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228-0vl2
- fixed file location

* Thu Mar  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228-0vl1
- updated to 20010228

* Tue Dec 26 2000 Tomoya TAKA <tomoya@olive.plala.or.jp> 0.0.199912310pl13-0vl2
- fixed about mandir

* Thu Nov 23 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.199912310pl13-0vl1
- updated to 19991231-pl13
- use rpm macros in spec

* Thu Nov 23 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.199912310pl11-0vl1
- updated to 19991231-pl11

* Thu Nov  9 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.199912310pl10-0vl1
- updated to 19991231-pl10

* Thu Oct 12 2000 Yoshihiro Kajiki <kajiki@ylug.org>
- fix newaliases problem by adding slink

* Mon Oct  2 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- add japanese man pages

* Sun Oct  1 2000 Jun Nishii <jun@vinelinux.org>
- updates to 19991231-pl09-0vl2
- fixed Group

* Fri Sep 22 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- updates to 19991231-pl09

* Wed Aug 09 2000 MACHINO, Satoshi <mac@netfort.gr.jp>
- %build, removed bzip2 -9 and strip
- fixed %files section to handle compressed man page

* Wed Jun 21 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- Version name changes to 0.0.version
- updates to 19991231-pl08
  + Major changes with postfix-19991231-pl08: 
    Specify "body_checks = regexp:%{_sysconfdir}/postfix/body_checks" for a quick
    and dirty emergency content filter that looks at non-header lines
    one line at a time (including MIME headers inside the message body).
    Details in conf/sample-filter.cf.
  + Incompatible changes with postfix-19991231-pl07:
    As required by RFC 822, Postfix now inserts a generic destination
    message header when no destination header is present.  The text is
    specified via the undisclosed_recipients_header configuration
    parameter (default:  "To: undisclosed-recipients:;").

* Thu Apr  6 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- updates to 19991231-pl06
- added percent hack to main.cf

* Sun Feb 20 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- adopted to Vine Linux

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 19991231
- added postfix group
- corrected aliases.db bug

* Mon Dec 27 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- Add postfix check in post to create sub dirs in spool

* Mon Dec 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add -a $DOMAIN -d $LOGNAME to procmail (philippe).
- New banner.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix if conflicts with sendmail.

* Sat Jun  5 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- install bins from libexec/

* Sat Jun  5 1999 Bernhard Rosenkr舅zer <bero@mandrakesoft.com>
- 19990601
- .spec cleanup for easier updates

* Wed May 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- created link from %{_sbindir}/sendmail to %{_libdir}/sendmail
  so it doesn't bug out when i rpm -e sendmail
- Now removes %{_var}/lock/subsys/postfix like a good little prog
  upon rpm -e

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adptations.

* Tue Apr 13 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl04-1]

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl03-2]
- Castro, Castro, pay attention my friend. You're making it very hard
  maintaining the package if you don't follow the flow of the releases

* Thu Mar 25 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl02-1]

* Tue Mar 23 1999 Arne Coucheron <arneco@online.no>
  [19990317-3]
- added bugfix patch01

* Sat Mar 20 1999 Arne Coucheron <arneco@online.no>
  [19990317-2]
- removed the mynetworks line in main.cf, let postfix figure it out
- striping of the files in %{_sbindir}
- alias database moved to %{_sysconfdir}/postfix and made a symlink to it in %{_sysconfdir}
- enabled procmail support in main.cf and added it to Requires:
- check status on master instead of postfix in the init script
- obsoletes postfix-beta
- had to move some of my latest changelog entries up here since Edgard Castro
  didn't follow my releases

* Thu Mar 18 1999 Edgard Castro <castro@usmatrix.net>
  [19990317]

* Tue Mar 16 1999 Edgard Castro <castro@usmatrix.net>
  [alpha-19990315]

* Tue Mar  9 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-2]
- shell and gecho information changed to complie with Red Hat stardand
- changed the name of the rpm package to postfix, instead of postfix-beta

* Tue Feb 16 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-1]

* Sun Jan 24 1999 Arne Coucheron <arneco@online.no>
  [19990122-1]
- shell for postfix user changed to /bin/true to avoid logins to the account
- files in %{_libdir}exec/postfix moved to %{_libdir}/postfix since this complies
  more with the Red Hat standard

* Wed Jan 06 1999 Arne Coucheron <arneco@online.no>
  [19981230-2]
- added URL for the source
- added a cron job for daily check of errors
- sample config files moved from /etc/postfix/sample to the docdir 
- dropped making of symlinks in %{_sbindir} and instead installing the real
  files there
- because of the previous they're not needed anymore in %{_libdir}exec/postfix,
  so they are removed from that place

* Fri Jan 01 1999 Arne Coucheron <arneco@online.no>
  [19981230-1]

* Tue Dec 29 1998 Arne Coucheron <arneco@online.no>
  [19981222-1]
- first build of rpm version
