%define pkg_name    pspp
%define pkg_version 1.0.1
%define pkg_release 1%{?_dist_release}

Summary:     A program for statistical analysis of sampled data
Summary(ja): データ統計解析用プログラム
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: GPLv3 or later
Group:   Applications/Edutainment
URL:     http://www.gnu.org/software/pspp/
Source0: http://public.p-knowledge.co.jp/gnu-mirror/pspp/pspp-%{version}.tar.gz

Buildroot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: texinfo
BuildRequires: readline-devel
BuildRequires: gtk3-devel gtksourceview3-devel
BuildRequires: gsl-devel
BuildRequires: plotutils-devel

Requires: gtk3 gtksourceview3
Requires: gsl
Requires: plotutils


Vendor: Project Vine
Distribution: Vine Linux


%description
PSPP is a program for statistical analysis of sampled data.
It is a free replacement for the proprietary program SPSS.

PSPP supports t-tests, ANOVA, GLM, factor analysis, non-parametric tests,
and other statistical features. PSPP produces statistical reports
in plain text, PDF, PostScript, CSV, HTML, SVG, and OpenDocument formats.

PSPP has both text-based and graphical user interfaces.
The PSPP user interface has been translated into a number of languages.

%description -l ja
%{description}


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{configure} \
 --disable-static \
 --docdir=%{_docdir}/%{name}-%{version}

%{__make} %{?_smp_mflags}

%check
%{__make} check

%install
%{make_install}
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/pspp/*.la
%{__rm} ${RPM_BUILD_ROOT}%{_infodir}/dir

%{__cp} AUTHORS COPYING ChangeLog NEWS ONEWS README THANKS TODO \
        ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

# modify desktop file
%{__perl} -pi -e s/"Education;Science;Math;"/"Education;Science;"/g \
 ${RPM_BUILD_ROOT}%{_datadir}/applications/pspp.desktop

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
for doc in pspp pspp-dev; do
    file=%{_infodir}/${doc}.info.gz
    if [ -e ${file} ]; then
        /sbin/install-info ${file} %{_infodir}/dir 2>/dev/null
    fi
done
%{_syssbindir}/ldconfig

%preun
if [ $1 = 0 ]; then
    for doc in pspp pspp-dev; do
        file=%{_infodir}/${doc}.info.gz
        if [ -e ${file} ]; then
            /sbin/install-info --delete ${file} %{_infodir}/dir 2>/dev/null
        fi
    done
fi

%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-,root,root)
%{_bindir}/
%{_libdir}/pspp/
%{_datadir}/appdata/
%{_datadir}/applications/
%{_datadir}/icons/
%{_datadir}/locale/
%{_datadir}/pspp
%{_infodir}/
%{_mandir}/man1/
%{_docdir}/


%changelog
* Sun Oct 15 2017 Toshiaki Ara <ara_t@384.jp> 1.0.1-1
- new package

