%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
%define drvver 11.1

Name:		pulseaudio
Summary: 	PulseAudio sound server
Summary(ja): 	PulseAudio サウンドサーバ
Version:	11.1
Release:	1%{?_dist_release}
License:	GPLv2+
URL:		http://pulseaudio.org
Group:		System Environment/Daemons

Source0:	http://0pointer.de/lennart/projects/pulseaudio/pulseaudio-%{version}.tar.xz
Source1:        default.pa-for-gdm

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: tcp_wrappers, libsamplerate-devel, libsndfile-devel
BuildRequires: liboil-devel, m4, libcap-devel, 
BuildRequires: libtool-ltdl-devel >= 2.2.6
BuildRequires: pkgconfig
BuildRequires: alsa-lib-devel, glib2-devel, avahi-devel, GConf2-devel
BuildRequires: lirc-devel, doxygen, jack-audio-connection-kit-devel
BuildRequires: polkit-devel
BuildRequires: dbus-devel
BuildRequires: bluez-libs-devel >= 4.101-2
BuildRequires: sbc-devel
BuildRequires: libXt-devel, libXtst-devel, xorg-x11-proto-devel
BuildRequires: speexdsp-devel
BuildRequires: openssl-devel
BuildRequires: gdbm-devel
BuildRequires: gtk2-devel
BuildRequires: json-c-devel >= 0.11
BuildRequires: eudev-libudev-devel
BuildRequires: xcb-util-devel
BuildRequires: libtdb-devel
BuildRequires: libasyncns-devel
BuildRequires: orc-devel
BuildRequires: libuuid-devel
BuildRequires: libtool
Requires:      %{name}-core-libs = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke


%description
PulseAudio is a sound server for Linux and other Unix like operating 
systems. It is intended to be an improved drop-in replacement for the 
Enlightened Sound Daemon (ESOUND).

%package esound-compat
Summary:	PulseAudio EsounD daemon compatibility script
Summary(ja):	PulseAudio EsounD デーモン互換スクリプト
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	esound
Obsoletes:      esound

%description esound-compat
A compatibility script that allows applications to call /usr/bin/esd
and start PulseAudio with EsounD protocol modules.

%package module-lirc
Summary:	LIRC support for the PulseAudio sound server
Summary(ja):	PulseAudio サウンドサーバ用 LIRC サポート
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}

%description module-lirc
LIRC volume control module for the PulseAudio sound server.

%package module-x11
Summary:	X11 support for the PulseAudio sound server
Summary(ja):	PulseAudio サウンドサーバ用 X11 サポート
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-utils  = %{version}-%{release}

%description module-x11
X11 bell and security modules for the PulseAudio sound server.

%package module-zeroconf
Summary:	Zeroconf support for the PulseAudio sound server
Summary(ja):	PulseAudio サウンドサーバ用 Zeroconf サポート
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-utils

%description module-zeroconf
Zeroconf publishing module for the PulseAudio sound server.

%package module-bluetooth
Summary:	Bluetooth proximity support for the PulseAudio sound server
Summary(ja):	PulseAudio サウンドサーバ用 Bluetooth 近接検知サポート
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}

%description module-bluetooth
Contains a module that can be used to automatically turn down the volume if
a bluetooth mobile phone leaves the proximity or turn it up again if it enters the
proximity again

%package module-jack
Summary:	JACK support for the PulseAudio sound server
Summary(ja):	PulseAudio サウンドサーバ用 JACK サポート
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}

%description module-jack
JACK sink and source modules for the PulseAudio sound server.

%package module-gconf
Summary:	GConf support for the PulseAudio sound server
Summary(ja):	PulseAudio サウンドサーバ用 GConf サポート
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}

%description module-gconf
GConf configuration backend for the PulseAudio sound server.

%package libs
Summary:	Libraries for PulseAudio clients
Summary(ja):	PulseAudio クライアントライブラリ
License:	LGPLv2+
Group:		System Environment/Libraries
Provides:	pulseaudio-lib
Obsoletes:      pulseaudio-lib
Provides:	%{name}-libs-zeroconf = %{version}
Obsoletes:	%{name}-libs-zeroconf < 1.0

%description libs
This package contains the runtime libraries for any application that wishes
to interface with a PulseAudio sound server.

%package core-libs
Summary:        Core libraries for the PulseAudio sound server.
Summary(ja):    PulseAudio サウンドサーバコアライブラリ
License:	LGPLv2+
Group:		System Environment/Libraries

%description core-libs
This package contains runtime libraries that are used internally in the
PulseAudio sound server.

%package libs-glib2
Summary:	GLIB 2.x bindings for PulseAudio clients
Summary(ja):	PulseAudio クライアント用 GLIB 2.x バインディング
License:	LGPLv2+
Group:		System Environment/Libraries
Provides:	pulseaudio-lib-glib2
Obsoletes:      pulseaudio-lib-glib2

%description libs-glib2
This package contains bindings to integrate the PulseAudio client library with
a GLIB 2.x based application.

%package libs-devel
Summary:	Headers and libraries for PulseAudio client development
Summary(ja):	PulseAudio クライアント開発用ヘッダおよびライブラリ
License:	LGPLv2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-libs-glib2 = %{version}-%{release}
Requires:       pkgconfig glib2-devel
Provides:	pulseaudio-lib-devel
Obsoletes:      pulseaudio-lib-devel

%description libs-devel
Headers and libraries for developing applications that can communicate with
a PulseAudio sound server.

%package utils
Summary:	PulseAudio sound server utilities
Summary(ja):	PulseAudio サウンドサーバユーティリティ
License:	LGPLv2+
Group:		Applications/Multimedia
Requires:	%{name}-libs = %{version}-%{release}

%description utils
This package contains command line utilities for the PulseAudio sound server.

%package gdm-hooks
Summary:        PulseAudio GDM integration
Summary(ja):    PulseAudio GDM 統合
License:        LGPLv2+
Group:          Applications/Multimedia
Requires:       gdm >= 2.22.0
# for the gdm user
Requires(pre):  gdm

%description gdm-hooks
This package contains GDM integration hooks for the PulseAudio sound server.


# compat32
%package -n compat32-%{name}-libs
Summary:	Libraries for PulseAudio clients
Summary(ja):	PulseAudio クライアントライブラリ
License:	LGPLv2+
Group:		System Environment/Libraries
Provides:	compat32-%{name}-libs-zeroconf = %{version}
Obsoletes:	compat32-%{name}-libs-zeroconf < 1.0

%description -n compat32-%{name}-libs
This package contains the runtime libraries for any application that wishes
to interface with a PulseAudio sound server.

%package -n compat32-%{name}-core-libs
Summary:        Core libraries for the PulseAudio sound server.
Summary(ja):    PulseAudio サウンドサーバコアライブラリ
License:	LGPLv2+
Group:		System Environment/Libraries

%description -n compat32-%{name}-core-libs
This package contains runtime libraries that are used internally in the
PulseAudio sound server.

%package -n compat32-%{name}-libs-glib2
Summary:	GLIB 2.x bindings for PulseAudio clients
Summary(ja):	PulseAudio クライアント用 GLIB 2.x バインディング
License:	LGPLv2+
Group:		System Environment/Libraries

%description -n compat32-%{name}-libs-glib2
This package contains bindings to integrate the PulseAudio client library with
a GLIB 2.x based application.

%package -n compat32-%{name}-libs-devel
Summary:	Headers and libraries for PulseAudio client development
Summary(ja):	PulseAudio クライアント開発用ヘッダおよびライブラリ
License:	LGPLv2+
Group:		Development/Libraries
Requires:	compat32-%{name}-libs = %{version}-%{release}
Requires:	compat32-%{name}-libs-glib2 = %{version}-%{release}
Requires:	%{name}-libs-devel = %{version}-%{release}
Requires:       compat32-glib2-devel

%description -n compat32-%{name}-libs-devel
Headers and libraries for developing applications that can communicate with
a PulseAudio sound server.

%prep
%setup -q -T -b0


%build
%configure \
  --disable-static \
  --disable-rpath \
  --with-system-user=pulse \
  --with-system-group=pulse \
  --with-access-group=pulse-access \
  --disable-oss-output \
  --without-fftw \
  --disable-systemd-daemon \
  --disable-bluez4 --enable-bluez5

make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}
make doxygen

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

chmod 755 $RPM_BUILD_ROOT%{_bindir}/pulseaudio
ln -s esdcompat $RPM_BUILD_ROOT%{_bindir}/esd
# preserve time stamps, for multilib's sake
touch -r src/daemon/daemon.conf.in $RPM_BUILD_ROOT%{_sysconfdir}/pulse/daemon.conf
touch -r src/daemon/default.pa.in $RPM_BUILD_ROOT%{_sysconfdir}/pulse/default.pa
touch -r man/pulseaudio.1.xml.in $RPM_BUILD_ROOT%{_mandir}/man1/pulseaudio.1
touch -r man/default.pa.5.xml.in $RPM_BUILD_ROOT%{_mandir}/man5/default.pa.5
touch -r man/pulse-client.conf.5.xml.in $RPM_BUILD_ROOT%{_mandir}/man5/pulse-client.conf.5
touch -r man/pulse-daemon.conf.5.xml.in $RPM_BUILD_ROOT%{_mandir}/man5/pulse-daemon.conf.5
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/pulse
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/gdm/.pulse
cp $RPM_SOURCE_DIR/default.pa-for-gdm $RPM_BUILD_ROOT%{_localstatedir}/lib/gdm/.pulse/default.pa

%clean
rm -rf $RPM_BUILD_ROOT

%pre
groupadd -r pulse &>/dev/null || :
useradd -r -c 'PulseAudio daemon' \
    -s /sbin/nologin -d /var/run/pulse -g pulse pulse &>/dev/null || :
groupadd -r pulse-rt &>/dev/null || :
groupadd -r pulse-access &>/dev/null || :

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
    userdel pulse &>/dev/null || :
    groupdel pulse &>/dev/null || :
    groupdel pulse-rt &>/dev/null || :
    groupdel pulse-access &>/dev/null || :
fi

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post core-libs -p /sbin/ldconfig
%postun core-libs -p /sbin/ldconfig

%post libs-glib2 -p /sbin/ldconfig
%postun libs-glib2 -p /sbin/ldconfig

%post -n compat32-%{name}-libs -p /sbin/ldconfig
%postun -n compat32-%{name}-libs -p /sbin/ldconfig

%post -n compat32-%{name}-core-libs -p /sbin/ldconfig
%postun -n compat32-%{name}-core-libs -p /sbin/ldconfig

%post -n compat32-%{name}-libs-glib2 -p /sbin/ldconfig
%postun -n compat32-%{name}-libs-glib2 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE GPL LGPL
%dir %{_sysconfdir}/pulse/
%config(noreplace) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %{_sysconfdir}/pulse/default.pa
%config(noreplace) %{_sysconfdir}/pulse/system.pa
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/pulseaudio-system.conf
%{_datadir}/zsh/site-functions/_pulseaudio
%attr(4755,root,root) %{_bindir}/pulseaudio
%dir %{_libdir}/pulse-%{drvver}/
%dir %{_libdir}/pulse-%{drvver}/modules/
%{_libdir}/pulse-%{drvver}/modules/libalsa-util.so
%{_libdir}/pulse-%{drvver}/modules/libcli.so
#%{_libdir}/pulse-%{drvver}/modules/liboss-util.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-cli.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-esound.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-http.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-native.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-simple.so
%{_libdir}/pulse-%{drvver}/modules/librtp.so
%{_libdir}/pulse-%{drvver}/modules/module-allow-passthrough.so
%{_libdir}/pulse-%{drvver}/modules/module-alsa-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-alsa-source.so
%{_libdir}/pulse-%{drvver}/modules/module-alsa-card.so
%{_libdir}/pulse-%{drvver}/modules/module-always-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-augment-properties.so
%{_libdir}/pulse-%{drvver}/modules/module-card-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-cli-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-cli-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-cli.so
%{_libdir}/pulse-%{drvver}/modules/module-combine.so
%{_libdir}/pulse-%{drvver}/modules/module-combine-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-console-kit.so
%{_libdir}/pulse-%{drvver}/modules/module-dbus-protocol.so
%{_libdir}/pulse-%{drvver}/modules/module-default-device-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-device-manager.so
%{_libdir}/pulse-%{drvver}/modules/module-device-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-filter-apply.so
%{_libdir}/pulse-%{drvver}/modules/module-filter-heuristics.so
%{_libdir}/pulse-%{drvver}/modules/module-loopback.so
%{_libdir}/pulse-%{drvver}/modules/module-detect.so
%{_libdir}/pulse-%{drvver}/modules/module-echo-cancel.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-compat-spawnfd.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-compat-spawnpid.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-udev-detect.so
%{_libdir}/pulse-%{drvver}/modules/module-hal-detect.so
%{_libdir}/pulse-%{drvver}/modules/module-http-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-http-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-intended-roles.so
%{_libdir}/pulse-%{drvver}/modules/module-ladspa-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-match.so
%{_libdir}/pulse-%{drvver}/modules/module-mmkbd-evdev.so
%{_libdir}/pulse-%{drvver}/modules/module-native-protocol-fd.so
%{_libdir}/pulse-%{drvver}/modules/module-native-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-native-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-null-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-null-source.so
#%{_libdir}/pulse-%{drvver}/modules/module-oss.so
%{_libdir}/pulse-%{drvver}/modules/module-pipe-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-pipe-source.so
%{_libdir}/pulse-%{drvver}/modules/module-position-event-sounds.so
%{_libdir}/pulse-%{drvver}/modules/module-remap-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-remap-source.so
%{_libdir}/pulse-%{drvver}/modules/module-rescue-streams.so
%{_libdir}/pulse-%{drvver}/modules/module-role-cork.so
%{_libdir}/pulse-%{drvver}/modules/module-role-ducking.so
%{_libdir}/pulse-%{drvver}/modules/module-rtp-recv.so
%{_libdir}/pulse-%{drvver}/modules/module-rtp-send.so
%{_libdir}/pulse-%{drvver}/modules/module-rygel-media-server.so
%{_libdir}/pulse-%{drvver}/modules/module-simple-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-simple-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-sine.so
%{_libdir}/pulse-%{drvver}/modules/module-sine-source.so
%{_libdir}/pulse-%{drvver}/modules/module-stream-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-suspend-on-idle.so
%{_libdir}/pulse-%{drvver}/modules/module-switch-on-connect.so
%{_libdir}/pulse-%{drvver}/modules/module-switch-on-port-available.so
%{_libdir}/pulse-%{drvver}/modules/module-tunnel-sink-new.so
%{_libdir}/pulse-%{drvver}/modules/module-tunnel-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-tunnel-source-new.so
%{_libdir}/pulse-%{drvver}/modules/module-tunnel-source.so
%{_libdir}/pulse-%{drvver}/modules/module-virtual-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-virtual-source.so
%{_libdir}/pulse-%{drvver}/modules/module-virtual-surround-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-volume-restore.so
%{_datadir}/bash-completion/completions/*
%{_datadir}/pulseaudio/alsa-mixer/paths/*
%{_datadir}/pulseaudio/alsa-mixer/profile-sets/*
%{_mandir}/man1/pamon.1.gz
%{_mandir}/man1/parec.1.gz
%{_mandir}/man1/parecord.1.gz
%{_mandir}/man1/pulseaudio.1.gz
%{_mandir}/man5/default.pa.5.gz
%{_mandir}/man5/pulse-cli-syntax.5.gz
%{_mandir}/man5/pulse-client.conf.5.gz
%{_mandir}/man5/pulse-daemon.conf.5.gz
#%{_mandir}/man1/start-pulseaudio-kde.1.gz
%{_mandir}/man1/start-pulseaudio-x11.1.gz
/lib/udev/rules.d/90-pulseaudio.rules
%dir %{_libexecdir}/pulse
%attr(0700, pulse, pulse) %dir %{_localstatedir}/lib/pulse

%files esound-compat
%defattr(-,root,root)
%{_bindir}/esdcompat
%{_bindir}/esd
%{_mandir}/man1/esdcompat.1.gz

%files module-lirc
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/module-lirc.so

%files module-x11
%defattr(-,root,root)
%config %{_sysconfdir}/xdg/autostart/pulseaudio.desktop
#%config %{_sysconfdir}/xdg/autostart/pulseaudio-kde.desktop
%{_bindir}/start-pulseaudio-x11
#%{_bindir}/start-pulseaudio-kde
%{_libdir}/pulse-%{drvver}/modules/module-x11-bell.so
%{_libdir}/pulse-%{drvver}/modules/module-x11-publish.so
%{_libdir}/pulse-%{drvver}/modules/module-x11-xsmp.so
%{_libdir}/pulse-%{drvver}/modules/module-x11-cork-request.so

%files module-zeroconf
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/libavahi-wrap.so
%{_libdir}/pulse-%{drvver}/modules/module-zeroconf-publish.so
%{_libdir}/pulse-%{drvver}/modules/module-zeroconf-discover.so
%{_libdir}/pulse-%{drvver}/modules/libraop.so
%{_libdir}/pulse-%{drvver}/modules/module-raop-discover.so
%{_libdir}/pulse-%{drvver}/modules/module-raop-sink.so

%files module-jack
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/module-jack-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-jack-source.so
%{_libdir}/pulse-%{drvver}/modules/module-jackdbus-detect.so

%files module-bluetooth
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/libbluez*-util.so
%{_libdir}/pulse-%{drvver}/modules/module-bluez*-device.so
%{_libdir}/pulse-%{drvver}/modules/module-bluez*-discover.so
%{_libdir}/pulse-%{drvver}/modules/module-bluetooth-discover.so
%{_libdir}/pulse-%{drvver}/modules/module-bluetooth-policy.so

%files module-gconf
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/module-gconf.so
%{_libexecdir}/pulse/gconf-helper

%files libs
%defattr(-,root,root)
%doc README LICENSE GPL LGPL
%dir %{_sysconfdir}/pulse/
%config(noreplace) %{_sysconfdir}/pulse/client.conf
%{_libdir}/libpulse.so.*
%{_libdir}/libpulse-simple.so.*
%{_datadir}/locale/*

%files core-libs
%defattr(-,root,root)
%{_libdir}/%{name}/libpulsecore-%{drvver}.so
%{_libdir}/%{name}/libpulsecommon-%{drvver}.so

%files libs-glib2
%defattr(-,root,root)
%{_libdir}/libpulse-mainloop-glib.so.*

%files libs-devel
%defattr(-,root,root)
%doc doxygen/html
%{_includedir}/pulse/
%{_libdir}/cmake/PulseAudio/PulseAudioConfig.cmake
%{_libdir}/cmake/PulseAudio/PulseAudioConfigVersion.cmake
%{_libdir}/libpulse.so
%{_libdir}/libpulse-mainloop-glib.so
%{_libdir}/libpulse-simple.so
%{_libdir}/pkgconfig/libpulse*.pc
%{_datadir}/vala/vapi/libpulse-mainloop-glib.deps
%{_datadir}/vala/vapi/libpulse-mainloop-glib.vapi
%{_datadir}/vala/vapi/libpulse.deps
%{_datadir}/vala/vapi/libpulse.vapi
%{_datadir}/vala/vapi/libpulse-simple.deps
%{_datadir}/vala/vapi/libpulse-simple.vapi

%files utils
%defattr(-,root,root)
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/pamon
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/parecord
%{_bindir}/pax11publish
%{_bindir}/padsp
%{_bindir}/pasuspender
%{_libdir}/%{name}/libpulsedsp.so
%{_mandir}/man1/pacat.1.gz
%{_mandir}/man1/pacmd.1.gz
%{_mandir}/man1/pactl.1.gz
%{_mandir}/man1/paplay.1.gz
%{_mandir}/man1/pasuspender.1.gz
%{_mandir}/man1/padsp.1.gz
%{_mandir}/man1/pax11publish.1.gz

%files gdm-hooks
%defattr(-,root,root)
%attr(0700, gdm, gdm) %dir %{_localstatedir}/lib/gdm/.pulse
%attr(0600, gdm, gdm) %{_localstatedir}/lib/gdm/.pulse/default.pa


# compat32
%if %{build_compat32}
%files -n compat32-%{name}-libs
%defattr(-,root,root)
%{_libdir}/libpulse.so.*
%{_libdir}/libpulse-simple.so.*

%files -n compat32-%{name}-core-libs
%defattr(-,root,root)
%{_libdir}/%{name}/libpulsecore-%{drvver}.so
%{_libdir}/%{name}/libpulsecommon-%{drvver}.so

%files -n compat32-%{name}-libs-glib2
%defattr(-,root,root)
%{_libdir}/libpulse-mainloop-glib.so.*

%files -n compat32-%{name}-libs-devel
%defattr(-,root,root)
%{_libdir}/libpulse.so
%{_libdir}/libpulse-mainloop-glib.so
%{_libdir}/libpulse-simple.so
%endif

%changelog
* Thu Feb 22 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 11.1-1
- updated to 11.1.

* Tue Jun 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 9.0-1
- update to 9.0

* Sun May 15 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.1-2
- rebuild with openssl-1.0.2

* Thu Nov 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.1-1
- update to 7.1

* Sat Feb 14 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 6.0-1
- update to 6.0

* Tue Jan 27 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 5.99.3-1
- update to 5.99.3

* Sat Jan 17 2015 Daisuke SUZUKI <daisuke@vinelinux.org> 5.99.2-1
- update to 5.99.2
- add BR: libuuid-devel
- change BR: json-c-devel >= 0.11

* Mon Jul 07 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 5.0-1
- update to 5.0

* Tue Jun 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.0-2
- change BuildRequires: eudev-libudev-devel instead of libudev-devel
- remove BuildRequires: libatomic_ops-devel, xmltoman, hal-devel
- add BuildRequires: dbus-devel, sbc-devel

* Thu Jul 11 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0-1
- update to 4.0
- disable oss output
- build with bluez-4.101-2 (sbc enabled)

* Sat Oct 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1-1
- new upstream release
- change BuildRequires: polkit-devel instead PolicyKit-devel

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0-1
- new upstream release

* Tue May 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.99.2-1
- new upstream release

* Fri Oct 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1-1
- new upstream release

* Fri Oct 07 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0-1
- new upstream release
- add BuildRequires: json-c-devel, orc-devel
- remove %%{name}-libs-zeroconf sub package

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.23-1
- new upstream release

* Mon Jan 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.22-3
- rebuild with openssl-1.0.0c

* Wed Dec 15 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.22-2
- add BuildRequires: gtk2-devel, libudev-devel, xcb-util-devel,
                     libtdb-devel, libasyncns-devel

* Wed Dec 01 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.22-1
- new upstream release
- drop upstreamed patches
- add gdm-hooks subpackage

* Sat Oct 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.9.21-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Feb 13 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.21-1
- new upstream release
- add patch0-31 from fedora and upstream

* Thu Sep 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.18-1
- new upstream release

* Sun Sep 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.17-1
- new upstream release

* Sat May 09 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.9.15-2
- added compat32 package for x86_64 arch support
- added BR: libXtst-devel

* Wed Apr 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.15-1
- new upstream release
- add BR: libtool-ltdl-devel >= 2.2.6

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.14-3
- rebuild with alsa 1.0.19
- set /var/run/pulse for pulse's home directory

* Tue Feb 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.14-2
- fix dependency (<BTS:657>)
  - move start-pulseaudio-x11 to module-x11 subpacakge
  - add Requires: pulseaudio-utils to module-x11 subpackage

* Wed Jan 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.14-1
- new upstream release

* Thu Oct 23 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.9.13-2
- rebuild with bluez-libs-devel-4.15

* Tue Oct 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.13-1
- new upstream release

* Mon Sep 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.12-2
- added BuildRequires: speex-devel

* Mon Sep 15 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.12-1
- new upstream release

* Sun Sep 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.11-2
- add Patch1 to change default.ca/daemon.conf
  - enable module-esound-protocol-tcp in default.ca
  - set default values for better performance in daemon.cond

* Sun Sep 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.11-1
- new upstream release

* Wed Jul 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.9.10-1
- initial build for Vine Linux
  - use released version instead of git snapshot

* Thu Jun 26 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.11-0.6.git20080626
- New GIT snapshot

* Sun Jun 22 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.11-0.5.svn20080622
- New GIT snapshot

* Wed Jun 18 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.11-0.4.svn20080618
- New SVN snapshot

* Fri May 30 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.11-0.3.svn20080529
- Fix snapshot versioning

* Thu May 29 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.11-0.0.svn20080529
- New SVN snapshot

* Tue May 20 2008 Matthias Clasen <mclasen@redhat.com> 0.9.11-0.2.svn20080516
- Actually apply the patch

* Sat May 17 2008 Matthias Clasen <mclasen@redhat.com> 0.9.11-0.1.svn20080516
- Fix a wrong assertion in module-default-device-restore

* Fri May 16 2008 Matthias Clasen <mclasen@redhat.com> 0.9.11-0.0.svn20080516
- Update to an svn snapshot of the 'glitch-free' rewrite of pulseaudio

* Sun Mar 30 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.10-1
- Update to PulseAudio 0.9.10
- drop all patches, since they have been integrated upstream

* Thu Mar 27 2008 Lubomir Kundrak <lkundrak@redhat.com> 0.9.8-13
- Abort on CPU time comsumption, so we can get core

* Thu Mar 13 2008 Lubomir Kundrak <lkundrak@redhat.com> 0.9.8-12
- Own /usr/libexec/pulse (#437228)

* Wed Mar 12 2008 Adam Jackson <ajax@redhat.com> 0.9.8-11
- pulseaudio-0.9.8-disable-realtime.patch: Don't ask PolicyKit for increased
  scheduling mojo for now.  It's not clear that it's a win; and if it is,
  the policy should just be fixed to always allow it.

* Wed Mar 12 2008 Lubomir Kundrak <lkundrak@redhat.com> 0.9.8-10
- Build the manual pages with xmltoman

* Fri Feb 29 2008 Lubomir Kundrak <lkundrak@redhat.com> 0.9.8-9
- Fix the fix.

* Fri Feb 29 2008 Lubomir Kundrak <lkundrak@redhat.com> 0.9.8-8
- Fix multilib issue (#228383)
- Prevent dumping core if exiting sooner that ltdl initializaion (#427962)

* Thu Feb 21 2008 Adam Tkac <atkac redhat com> 0.9.8-7
- really rebuild against new libcap

* Sun Feb 17 2008 Adam Tkac <atkac redhat com> 0.9.8-6
- rebuild against new libcap

* Wed Jan 23 2008 Lubomir Kundrak <lkundrak@redhat.com> 0.9.8-5
- Fix CVE-2008-0008 security issue (#425481)

* Sun Jan 13 2008 Lubomir Kundrak <lkundrak@redhat.com> 0.9.8-4.1
- Actually add content to pulseaudio-0.9.8-create-dot-pulse.patch
- Make the Source0 tag point to URL instead of a local file
- Drop the nochown patch; it's not applied at all and no longer needed

* Thu Nov 29 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.8-4
- add missing dependency on pulseaudio-utils for pulseaudio-module-x11

* Thu Nov 29 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.8-3
- Create ~/.pulse/ if not existant

* Thu Nov 29 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.8-2
- Add missing dependency on jack-audio-connection-kit-devel

* Wed Nov 28 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.8-1
- Upgrade to current upstream

* Wed Oct 17 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.16.svn20071017
- Another SVN snapshot, fixing another round of bugs (#330541)
- Split libpulscore into a seperate package to work around multilib limitation (#335011)

* Mon Oct 1 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.15.svn20071001
- Another SVN snapshot, fixing another round of bugs

* Sat Sep 29 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.14.svn20070929
- Another SVN snapshot, fixing a couple of subtle bugs

* Tue Sep 25 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.13.svn20070925
- Remove libpulsecore.so symlink from pulseaudio-libs-devel to avoid multilib issues

* Tue Sep 25 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.12.svn20070925
- New SVN snapshot
- Split off libflashsupport again
- Rename "-lib" packages to "-libs", like all other packages do it.
- Provide esound

* Fri Sep 7 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.11.svn20070907
- Update SVN snapshot, don't link libpulsecore.so statically anymore

* Wed Sep 5 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.10.svn20070905
- Update SVN snapshot

* Tue Sep 4 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.9.svn20070904
- Update SVN snapshot
- ship libflashsupport in our package
- drop pulseaudio-devel since libpulsecore is not linked statically

* Thu Aug 23 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.8.svn20070823
- Update SVN snapshot

* Thu Aug 16 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.7.svn20070816
- Update SVN snapshot

* Thu Aug 16 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.6.svn20070816
- Update SVN snapshot

* Tue Aug 14 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.5.svn20070814
- Forgot to upload tarball

* Tue Aug 14 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.4.svn20070814
- Update snapshot. Install file into /etc/xdg/autostart/ to load module-x11-smp 
  only after login

* Sun Aug 12 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.3.svn20070812
- Depend on tcp_wrappers-devel instead of tcp_wrappers, to make sure we
  actually get the headers installed.

* Sun Aug 12 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.2.svn20070812
- Update snapshot, contains 64 bit build fixes, and disables module-x11-xsmp by
  default to avoid deadlock when PA is started from gnome-session

* Sun Aug 12 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.1.svn20070812
- Take snapshot from SVN

* Tue May 29 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.6-2
- Add libatomic_ops-devel as a build requirement.

* Tue May 29 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.6-1
- Upgrade to 0.9.6.

* Fri Mar  2 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-5
- Fix merge problems with patch.

* Fri Mar  2 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-4
- Add patch to handle ALSA changing the frame size (bug 230211).
- Add patch for suspended ALSA devices (bug 228205).

* Mon Feb  5 2007 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-3
- Add esound-compat subpackage that allows PulseAudio to be a drop-in
  replacement for esd (based on patch by Matthias Clasen).
- Backport patch allows startup to continue even when the users'
  config cannot be read.

* Mon Oct 23 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-2
- Create user and groups for daemon.

* Mon Aug 28 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.5-1
- Upgrade to 0.9.5.

* Wed Aug 23 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-3
- Make sure JACK modules are built and packaged.

* Tue Aug 22 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-2
- Merge the ALSA modules into the main package as ALSA is the
  standard API.

* Sun Aug 20 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-1
- Update to 0.9.4.
- Remove fix for rpath as it is merged upstream.

* Fri Jul 21 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.9.3-2
- Remove static libraries.
- Fix for rpath issues.

* Fri Jul 21 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.3-1
- Update to 0.9.3
- GLib 1.2 bindings dropped.
- Howl compat dropped as Avahi is supported natively.
- Added fix for pc files on x86_64.

* Sat Jul  8 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.2-1
- Update to 0.9.2.
- Added Avahi HOWL compat dependencies.

* Thu Jun  8 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.1-1
- Update to 0.9.1.

* Mon May 29 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.0-2
- Build and package doxygen docs
- Call ldconfig for relevant subpackages.

* Mon May 29 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.0-1
- Update to 0.9.0

* Tue May  9 2006 Pierre Ossman <drzeus@drzeus.cx> 0.8.1-1
- Update to 0.8.1
- Split into more packages
- Remove the modules' static libs as those shouldn't be used (they shouldn't
  even be installed)

* Fri Feb 24 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.7-2
- dance around with perms so we don't strip the binary
- add missing BR

* Mon Nov 28 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.7-1
- Initial package for Fedora Extras
