%define pkg_name    roswell
%define pkg_version 18.3.10.89
%define pkg_release 1%{?_dist_release}

Summary: Common Lisp environment setup Utility
Summary(ja): Common Lisp 環境のセットアップユーティリティ
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: MIT License
Group:   Development/Languages
URL:     https://github.com/roswell/roswell
SOURCE:  %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: curl-devel

Vendor: Project Vine
Distribution: Vine Linux


%description
Roswell is a Lisp implementation installer/manager, launcher,
and much more!

Roswell started out as a command-line tool with the aim to
make installing and managing Common Lisp implementations
really simple and easy.

Roswell has now evolved into a full-stack environment for
Common Lisp development, and has many features that makes it
easy to test, share, and distribute your Lisp applications.
With Roswell, we aim to push the Common Lisp community to
a whole new level of productivity.

Roswell is still in beta. Despite this, the basic interfaces
are stable and not likely to change. Roswell currently works
well on Unix-like platforms such as Linux, Mac OS X and FreeBSD.
Roswell also works on other operating systems, but currently
some parts or features might be missing or unstable.


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
./bootstrap
%{configure}
%{__make} %{?_smp_mflags}

%install
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%check
%{__make} check

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog *.md NEWS
%{_bindir}/
%{_sysconfdir}/%{name}/
%{_mandir}/man1/


%changelog
* Thu Mar 29 2018 Toshiaki Ara <ara_t@384.jp> 18.3.10.89-1
- update to 18.3.10.89

* Mon Dec 25 2017 Toshiaki Ara <ara_t@384.jp> 17.12.10.86-1
- new package
