%define pkg_version 1.1.412
%define pkg_release 1%{?_dist_release}

Summary:     An integrated development environment (IDE) for R
Summary(ja): Rのための統合開発環境
Name:        rstudio
Version:     %{pkg_version}
Release:     %{pkg_release}

License: AGPLv3
Group:   Applications/Edutainment
URL:     https://www.rstudio.com/
Source0: rstudio-%{version}.tar.gz

Source1: core-dictionaries.zip
Source2: mathjax-26.zip
Source3: rsconnect_0.4.3.tar.gz
Source4: rmarkdown_1.0.9002.tar.gz

# patch to avoid download necessary files
Patch1: rstudio-dependencies_common_not_download.patch

# patches to use system pandoc
Patch2: rstudio-rsession-dev.conf.patch
Patch3: rstudio-SessionOptions.cpp.patch
Patch4: rstudio-session_CMakeLists.txt.patch

# patch to use system qt5
Patch5: rstudio-desktop_CMakeLists.txt.patch

# patch to change default settings
Patch10: rstudio-change_default_settings.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: rstudio-gwt
BuildRequires: rstudio-chromedriver
BuildRequires: cmake
BuildRequires: R >= 3.4
BuildRequires: pandoc pandoc-citeproc

# java-1.7.0-openjdk-devel is needed
BuildRequires: java-1.7.0-openjdk-devel
BuildRequires: ant
BuildRequires: xml-commons-apis
BuildRequires: libuuid-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel
BuildRequires: pango-devel
BuildRequires: bzip2-devel zlib-devel

BuildRequires: libboost-devel
BuildRequires: libboost
BuildRequires: libboost-atomic
BuildRequires: libboost-date-time
BuildRequires: libboost-filesystem
BuildRequires: libboost-iostreams
BuildRequires: libboost-program-options
BuildRequires: libboost-random
BuildRequires: libboost-regex
BuildRequires: libboost-signals
BuildRequires: libboost-system
BuildRequires: libboost-thread
BuildRequires: libboost-chrono

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtlocation-devel
BuildRequires: qt5-qtsensors-devel
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-qtxmlpatterns-devel
BuildRequires: qt5-qtwebchannel-devel
BuildRequires: qt5-qtwebkit-devel

Requires: R >= 3.4
Requires: pandoc pandoc-citeproc
Requires: java >= 1.7
Requires: libuuid
Requires: openssl
Requires: pam
Requires: pango


Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
RStudio is a set of integrated tools designed to help you be more productive
with R. It includes a console, syntax-highlighting editor that supports
direct code execution, as well as tools for plotting, history, debugging
and workspace management.

%description -l ja
RStudio™ はRのための新しい統合開発環境(IDE)です。RStudioは、あなたがRを
最大限利用する手助けとなるよう直感的なユーザインターフェイスと強力な
コーディングツールを結合させたものです。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

# patch to avoid download necessary files
%patch1

# patches to use system pandoc
%patch2
%patch3
%patch4

# patch to use system qt5
%patch5

# patch to change default settings
%patch10

%{__cp} /usr/src/rstudio-gwt/* \
 %{_builddir}/%{name}-%{version}/dependencies/common
%{__cp} /usr/src/rstudio-chromedriver/* \
 %{_builddir}/%{name}-%{version}/dependencies/common

%{__cp} \
 %{SOURCE1} %{SOURCE2} \
 %{_builddir}/%{name}-%{version}/dependencies/common

pushd dependencies/common
 sh install-gwt;
 sh install-dictionaries;
 sh install-mathjax;
 sh install-libclang;
 %{__tar} xzf %{SOURCE3}
 %{__tar} xzf %{SOURCE4}
 sh install-packages;
popd

cmake . \
      -DRSTUDIO_TARGET=Desktop \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_INSTALL_PREFIX=%{_libdir}/rstudio
%{__make} %{?_smp_mflags}

%install
%{make_install}

# make "/usr/bin/rstudio"
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
echo "%{_libdir}/rstudio/bin/rstudio" > ${RPM_BUILD_ROOT}%{_bindir}/rstudio
%{__chmod} +x ${RPM_BUILD_ROOT}%{_bindir}/rstudio

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p %{_syssbindir}/ldconfig

%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/rstudio/
%{_datadir}/applications/rstudio.desktop
%{_datadir}/icons/
%{_datadir}/mime/
%{_datadir}/pixmaps/


%changelog
* Fri Jan 12 2018 Toshiaki Ara <ara_t@384.jp> 1.1.412-1
- new upstream release
- add BuildRequires: libboost-random
- add BuildRequires: qt5-qtwebchannel-devel
- update Patches

* Thu Aug 04 2016 Toshiaki Ara <ara_t@384.jp> 0.99.1274-2
  - correct package desctiption

* Thu Aug 04 2016 Toshiaki Ara <ara_t@384.jp> 0.99.1274-1
  - new package

