Summary: A screen manager that supports multiple logins on one terminal.
Summary(ja): スクリーンマネージャ - 一つの端末で多重ログイン
Name: screen
Version: 4.6.2
Release: 1%{?_dist_release}
License: GPLv2+
Group: Applications/System
Source0: ftp://ftp.uni-erlangen.de/pub/utilities/screen/screen-%{version}.tar.gz
Source1:        screen.pam

Patch1:         screen-4.3.1-libs.patch
Patch2:         screen-4.3.1-screenrc.patch
Patch3:         screen-E3.patch
Patch4:         screen-4.3.1-suppress_remap.patch
Patch5:         screen-4.3.1-crypt.patch

Requires: ncurses
Requires(post,preun): /sbin/install-info
BuildRequires: ncurses-devel, texinfo, perl
BuildRequires: pam-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
The screen utility allows you to have multiple logins on just one
terminal.  Screen is useful for users who telnet into a machine or
are connected via a dumb terminal, but want to use more than just
one login.

Install the screen package if you need a screen manager that can
support multiple logins on one terminal.


%description -l ja
一つの端末プログラムだけで多重のログインを可能にするスクリーン管理
ユーティリティです。telnetで操作しているユーザやダムターミナルから
接続しているユーザでもっと多くの端末画面を使いたい場合にはとても
便利なプログラムです。


%prep
%setup -q
%autosetup -p1

%build
autoconf

%configure \
	--enable-pam \
	--enable-locate \
	--enable-telnet \
	--enable-colors256 \
	--with-sys-screenrc=%{_sysconfdir}/screenrc

# configure can figure out these values.
#perl -pi -e 's|.*#.*PTYMODE.*|#define PTYMODE 0620|' config.h
#perl -pi -e 's|.*#.*PTYGROUP.*|#define PTYGROUP 5|' config.h

perl -pi -e 's|.*#undef HAVE_BRAILLE.*|#define HAVE_BRAILLE 1|' config.h

perl -pi -e 's|/usr/local/etc/screenrc|/etc/screenrc|' etc/etcscreenrc doc/*
perl -pi -e 's|/local/etc/screenrc|/etc/screenrc|' doc/*
rm -f doc/screen.info*

# fails with %{?_smp_mflags}
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/skel
perl -pi -e 's,/usr/local/etc/screenrc,/etc/screenrc,' etc/etcscreenrc

%makeinstall DDESTDIR=$RPM_BUILD_ROOT

( cd $RPM_BUILD_ROOT
#  gzip -9nf .%{_infodir}/screen.info*
#  strip .%{_bindir}/screen-%{version}

  rm -f .%{_bindir}/screen.old .%{_bindir}/screen
  mv .%{_bindir}/screen-%{version} .%{_bindir}/screen
)

install -c -m 0444 etc/etcscreenrc $RPM_BUILD_ROOT/etc/screenrc
install -c -m 0644 etc/screenrc $RPM_BUILD_ROOT/etc/skel/.screenrc

# Better not forget to copy the pam file around
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/screen
# Remove files from the buildroot which we don't want packaged
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/screen.info.* %{_infodir}/dir --entry="* screen: (screen).             Terminal multiplexer."

if [ -d /tmp/screens ]; then
    # we're not setuid root anymore
    chmod 777 /tmp/screens
fi

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/screen.info.* %{_infodir}/dir --entry="* screen: (screen).             Terminal multiplexer."
fi

%files
%defattr(-,root,root)
%doc COPYING NEWS* README doc/FAQ TODO doc/README.DOTSCREEN terminfo
#%attr(755,root,root) %{_bindir}/screen
%{_bindir}/screen
%{_mandir}/man1/screen.*
%{_infodir}/screen.info*
%{_datadir}/screen
%config(noreplace) %{_sysconfdir}/screenrc
%config(noreplace) %{_sysconfdir}/pam.d/screen
%config /etc/skel/.screenrc


%changelog
* Fri Apr 20 2018 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.6.2-1
- update to 4.6.2
- change License
- sync fc28 package

* Sun Aug 24 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.0.3-4
- rebuild with VineSeed environment

* Tue Apr  5 2011 IWAI, Masaharu <iwai@alib.jp> 4.0.3-3vl6
- build on current VineSeed
- add execvpe patch (Patch0) based upstream git

* Tue Sep 30 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 4.0.3-2
- spec in UTF-8
- add Patch12 to build against glibc-2.8
- fix typo (from --enable-color256 to --enable-colors256)
  thanks Minematsu Hiroki-san for pointing this out

* Wed Mar 26 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.0.3-1vl5
- used %%{?_dist_release}

* Mon Nov 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.3-0vl4
- rebuild for VineSeed

* Mon Nov 20 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.0.3-0vl3
- rebuilt without libelf-devel (ppc.rpm linked with libelf.so.0)

* Thu Nov 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.0.3-0vl2
- add BuildRequires: texinfo, perl

* Tue Oct 31 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.0.3-0vl1
- upstream release with security fix (build for Vine 4.0)

* Sat Jul 01 2006 NAKAMURA Kenta <kenta@vinelinux.org> 4.0.2-0vl2
- use License instead of Copyright

* Sat Jun  5 2004 IWAI, Masaharu <iwai@alib.jp> 4.0.2-0vl1
- new upstream release
- add %%{_datadir}/screen in %%files
- no replace configuration file: /etc/screenrc

* Mon Mar 17 2003 IWAI Masaharu <iwai@alib.jp> 3.9.13-0vl2
- eliminate %%{_bindir} from %%files section
 
* Thu Sep 12 2002 Yoshihiro Ota <ota@j.email.ne.jp> 3.9.13-0vl1
- update to 3.9.13
- add FAQ instead of a symbolic link to FAQ
- remove unnecessary patches

* Thu Nov  1 2001 Shoji Matsumoto <shom@vinelinux.org> 3.9.10-0vl1
- update to 3.9.10 (security update)

* Mon Aug 27 2001 Shoji Matsumoto <shom@vinelinux.org> 3.9.9-0vl1
- update to 3.9.9
- rebuild by current Seed
- remove makeinfo patch, jbj patch

* Sat Mar 10 2001 sagami@vinelinux.org
- made minor spec fixes

* Fri Mar  2 2001 Shoji Matsumoto <shom@vinelinux.org> 3.9.8-0vl1
- update to 3.9.8
- update 3.9.5-jbj.patch for 3.9.8
- add hascrypt patch

* Sat Dec 09 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 3.9.5-1vl3
- built with gcc-2.95.3
- partially used rpmmacros

* Tue Oct 24 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 3.9.5-1vl2
- fixed %files section to handle compressed man page

* Fri Mar 3 2000 Taro FUNAKI <taro@KU3G.org>
- updated to 3.9.5

* Sun Feb 20 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 3.9.4-5vl1
- merged missing patches from screen-3.9.4-3 on Red Hat 6.1

* Wed Oct 20 1999 Bill Nottingham <notting@redhat.com>
- you know, we weren't just patching in Unix98 pty support for fun.

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- put screendir in ~

* Wed Aug 18 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.9.4.

* Wed Jun 16 1999 Bill Nottingham <notting@redhat.com>
- force tty permissions/group

* Sat Jun 5 1999 Dale Lovelace <dale@redhat.com>
- permissions on /etc/skel/.screenrc to 644

* Mon Apr 26 1999 Bill Nottingham <notting@redhat.com>
- take out warning of directory permissions so root can still use screen

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- take out warning of directory ownership so root can still use screen

* Wed Apr 07 1999 Erik Troan <ewt@redhat.com>
- patched in utempter support, turned off setuid bit

* Fri Mar 26 1999 Erik Troan <ewt@redhat.com>
- fixed unix98 pty support

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- add patch for Unix98 pty support

* Mon Dec 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.7.6.

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.7.4

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>
- removed glibc 1.99 specific patch

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- added install-info support

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
