%define pkg_name    xmonad-extras
%define pkg_version 0.13.2
%define pkg_release 1%{?_dist_release}

%define ghc_version 8.2.2

Summary:     Various modules for xmonad
Summary(ja): xmonadのための様々なモジュール
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD3
Group:   User Interface/Desktops
URL:     http://hackage.haskell.org

Source0: %{name}-%{version}.tar.gz
Source1: packages

# num=11; for pkg in `cat packages`; do echo "Source${num}: ${pkg}.tar.gz"; num=`expr ${num} + 1`; done
Source11: language-c-0.7.1.tar.gz
Source12: c2hs-0.28.3.tar.gz
Source13: alsa-core-0.5.0.1.tar.gz
Source14: ghc-paths-0.1.0.9.tar.gz
Source15: libmpd-0.9.0.7.tar.gz
Source16: transformers-compat-0.5.1.4.tar.gz
Source17: alsa-mixer-0.2.0.3.tar.gz
Source18: exceptions-0.8.3.tar.gz
Source19: hint-0.7.0.tar.gz

# to fix wrong dependencies in cabal files
# do not use '-'
%define exceptions_version 0.8.3
Source51: exceptions.cabal

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: ghc haskell-platform
BuildRequires: xmonad xmonad-contrib
BuildRequires: libffi-devel gmp-devel zlib-devel
BuildRequires: xorg-x11-devel
BuildRequires: alsa-lib-devel
BuildRequires: ncurses-devel
BuildRequires: docbook-utils docbook-utils-pdf docbook-style-xsl

Requires: xmonad xmonad-contrib

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t

%description
Various modules for xmonad that cannot be added to xmonad-contrib
 because of additional dependencies.

%description -l ja
サードパーティーによるxmonad拡張であり、依存パッケージの追加のために
xmonad-contribに含まれなかったモジュールを含みます。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__rm} -rf %{_builddir}/package.conf
%{__rm} -rf ${HOME}/.ghc
%setup -q

# Initialise the package db
ghc-pkg init %{_builddir}/package.conf

%build
PKG_CONF_DIR=${RPM_BUILD_ROOT}%{_libdir}/ghc-%{ghc_version}/package.conf.d
%{__mkdir_p} ${PKG_CONF_DIR}

export PATH=${RPM_BUILD_ROOT}%{_bindir}:${HOME}/.cabal/bin:${PATH}

# install dependent packages
cd %{_builddir}
for pkg in `cat %{SOURCE1}`; do
  %{__tar} xzf %{_sourcedir}/${pkg}.tar.gz
  cd ${pkg}
  # fix wrong dependencies
  case ${pkg} in
      "exceptions-%{exceptions_version}") %{__cp} %{SOURCE51} . ;;
      *) ;;
  esac

  cabal configure \
        --prefix=%{_prefix} \
        --libdir=%{_libdir}/ghc-lib/%{name}/${pkg} \
        --libsubdir= \
        --datadir=%{_datadir}/%{name}/${pkg} \
        --datasubdir= \
        --docdir=%{_docdir}/%{name}/${pkg}

  cabal build
  cabal haddock
  cabal copy --destdir=${RPM_BUILD_ROOT}
  cabal register --inplace
  cabal register --gen-pkg-config=${PKG_CONF_DIR}/%{name}_${pkg}.conf
  cd ..
done

# build xmonad-extras
cd %{_builddir}/%{name}-%{version}
cabal configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}/ghc-lib/%{name}/%{name}-%{version} \
    --libsubdir= \
    --datadir=%{_datadir}/%{name}/%{name}-%{version} \
    --datasubdir= \
    --docdir=%{_docdir}/%{name}/%{name}-%{version}

cabal build
cabal haddock
cabal copy --destdir=${RPM_BUILD_ROOT}
cabal register --inplace
cabal register --gen-pkg-config=${PKG_CONF_DIR}/%{pkg_name}-%{version}.conf

# %install
# %{__cp} LICENSE ${RPM_BUILD_ROOT}%{_docdir}/%{name}/%{name}-%{version}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
ghc-pkg recache

%postun
ghc-pkg recache


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/ghc-%{ghc_version}/
%{_libdir}/ghc-lib/
%{_datadir}/%{name}/
%{_docdir}/%{name}/


%changelog
* Tue Jan 09 2018 Toshiaki Ara <ara_t@384.jp> 0.13.2-1
- update to 0.13.2
- build using ghc-8.2.2

* Fri Feb 03 2017 Toshiaki Ara <ara_t@384.jp> 0.12.1-6
- rebuild using ghc-8.0.1

* Wed May 04 2016 Toshiaki Ara <ara_t@384.jp> 0.12.1-5
- rebuilt

* Tue Apr 12 2016 Toshiaki Ara <ara_t@384.jp> 0.12.1-4
- rebuild under xmonad-0.12-3 and xmonad-contrib-0.12-4
- correct SPEC file

* Tue Mar 01 2016 Toshiaki Ara <ara_t@384.jp> 0.12.1-3
- rebuild under xmonad-0.12-2 and xmonad-contrib-0.12-3

* Sat Feb 27 2016 Toshiaki Ara <ara_t@384.jp> 0.12.1-2
- recompile

* Sat Feb 27 2016 Toshiaki Ara <ara_t@384.jp> 0.12.1-1
- new package
