%define tarball xf86-input-vmmouse
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Summary:   Xorg X11 vmmouse input driver
Summary(ja):   Xorg X11 vmmouse 入力ドライバ
Name:      xorg-x11-drv-vmmouse
Version:   13.1.0
Release:   3%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Yes, this is not the same as vmware.  Yes, this is intentional.
ExclusiveArch: %{ix86} x86_64

BuildRequires: xorg-x11-server-sdk
BuildRequires: eudev-libudev-devel

Requires: xorg-x11-server-Xorg

Vendor: Project Vine
Distribution: Vine Linux

%description 
X.Org X11 vmmouse input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static --with-udev-rules-dir=/lib/udev/rules.d
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

# Don't need HAL no more
rm -rf $RPM_BUILD_ROOT/%{_libdir}/hal/hal-probe-vmmouse
rm -rf $RPM_BUILD_ROOT/%{_datadir}/hal/fdi/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/vmmouse_detect
%{driverdir}/vmmouse_drv.so
%{_mandir}/man1/vmmouse_detect.1*
%{_mandir}/man4/vmmouse.4*
%{_datadir}/X11/xorg.conf.d/*.conf
/lib/udev/rules.d/69-xorg-vmmouse.rules

%changelog
* Fri Feb 16 2018 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 13.1.0-3
- rebuild with xserver-1.19.6

* Thu May 05 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 13.1.0-2
- rebuild with xserver-1.18.3

* Sun Oct 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 13.1.0-1
- new upstream release
- remove Patch2

* Fri Apr 24 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 13.0.0-5
- dropt hal files, since hal is very old
- added Patch2 from Fedora

* Sun Nov 23 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 13.0.0-4
- rebuild with xserver-1.16.2

* Thu Jul 10 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 13.0.0-3
- rebuild with xserver-1.15.2
- change BuildRequires: eudev-libudev-devel instead of libudev-devel

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 13.0.0-2
- rebuild with VineSeed environment

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 13.0.0-1
- new upstream release
- add BuildRequires: libudev-devel

* Wed May 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.9.0-1
- new upstream release

* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.8.0-2
- rebuild with xserver-1.12.0

* Fri Mar 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.8.0-1
- new upstream release

* Wed Nov 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.7.0-2
- rebuild with xserver-1.11.1.902

* Sat Mar 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.7.0-1
- new upstream release

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.6.99.901-1
- new upstream release

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.6.10-2
- rebuild with xserver-1.9.2

* Tue Aug 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.6.10-1
- new upstream release

* Tue May 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.6.9-1
- new upstream release
- add files (udev/rules.d script and xorg.conf snippet)

* Fri Mar 26 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 12.6.7-2
- rebuilt with xserver-1.8rc

* Sun Mar 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.6.7-1
- new upstream release

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.6.6-1
- new upstream release

* Thu Nov 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 12.6.5-1
- new upstream release

* Wed May 20 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 12.6.4-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 12.6.3-1
- new upstream release

* Tue Nov 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 12.6.2-1
- new upstream release

* Fri Oct 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 12.6.1-1
- new upstream release

* Fri Oct 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 12.6.0-1
- new upstream release

* Mon May 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 12.5.0-1
- initial build for Vine Linux

* Thu Mar 20 2008 Adam Jackson <ajax@redhat.com> 12.5.0-1
- vmmouse 12.5.0

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 12.4.3-4
- Autorebuild for GCC 4.3

* Wed Jan  2 2008 Jeremy Katz <katzj@redhat.com> - 12.4.3-3
- Add workaround for xserver not calling convert_proc in input drivers 
  anymore (patch from Joerg Platte on debian xmaint list)

* Tue Dec 18 2007 Jeremy Katz <katzj@redhat.com> - 12.4.3-2
- Rebuild for new xserver

* Thu Oct 11 2007 Adam Jackson <ajax@redhat.com> 12.4.3-1
- xf86-input-vmmouse 12.4.3

* Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 12.4.2-1
- xf86-input-vmmouse 12.4.2

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 12.4.0-4
- Rebuild for build ID

* Mon Jun 18 2007 Adam Jackson <ajax@redhat.com> 12.4.0-3
- Update Requires and BuildRequires.  Disown the module directories. 

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 12.4.0-1
- Update to 12.4.0 from 7.1RC1.

* Wed Mar 29 2006 Adam Jackson <ajackson@redhat.com> 12.3.2.0-4
- Don't build on ia64, as per comments in the source.

* Wed Mar 29 2006 Adam Jackson <ajackson@redhat.com> 12.3.2.0-3
- Rebump to appease beehive.

* Wed Mar 29 2006 Adam Jackson <ajackson@redhat.com> 12.3.2.0-1
- Bump to 12.3.2.0 from upstream (LP64 fixes).

* Sun Feb  5 2006 Mike A. Harris <mharris@redhat.com> 12.3.1.0-1
- Initial spec file for vmmouse input driver, using xorg-x11-drv-mouse.spec
  version 1.0.3.1-1 as a template.
